#
# spec file for package gcc33 (Version 3.3.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0

%if 0%{!?run_tests:1}
%define run_tests %(test -f %_sourcedir/RUN_TESTS && echo 1 || echo 0)
%endif
# Ada currently fails to build on a few platforms, enable it only
# on those that work
# Note that AdaCore only supports %ix86, x86_64 and ia64
%ifarch %ix86 x86_64 ia64 hppa ppc s390
%define build_ada 0
%else
# alpha ppc64 s390x
%define build_ada 0
%endif
# We don't want to build java on arm
%ifarch mips %arm
%define build_java 0
%define build_libjava 0
%else
%define build_java 0
#%define build_libjava 0%{?building_libjava:1}
%define build_libjava 0
%endif
%define build_fortran 1
%define build_objcp 0
%if 0%{?build_for_base:1}
%define build_ada 0 
%define build_java 0
%define build_libjava 0
%define build_fortran 0
%define build_objcp 0
%define run_tests 0
%endif

Name:           gcc33
BuildRequires:  bison flex gettext-devel glibc-devel-32bit zlib-devel glibc-32bit
%if %{build_ada}
BuildRequires:  gcc-ada
%endif
%if %{build_libjava}
BuildRequires:  gtk2-devel libart_lgpl-devel update-desktop-files
%endif
%if %{build_fortran}
#BuildRequires: mpfr-devel
%endif
%ifarch ia64
BuildRequires:  libunwind-devel
%endif
%if %{run_tests}
BuildRequires:  dejagnu expect
%endif
# Define version number of libgcc_s
%ifarch hppa
%define libgcc_s 4
%else
%define libgcc_s 1
%endif
%ifarch ppc
# We support building the nof libraries, but don't want this in the
# regular rpms
%define build_nof 0
%else
%define build_nof 0
%endif
%define separate_bi32 0
%define separate_bi64 0
%ifarch ppc
# Beware, this does _not_ separate libgcj, as for that one multilibing
# is inactive for the time being
%define separate_bi64 1
%endif
%ifarch x86_64 s390x
%define separate_bi32 1
%endif
# Define two macros to trigger -32bit or -64bit package variants
%define separate_biarch 0
%if %{separate_bi32}
%define separate_biarch 1
%define separate_biarch_suffix -32bit
%endif
%if %{separate_bi64}
%define separate_biarch 1
%define separate_biarch_suffix -64bit
%endif
%ifarch x86_64 ia64 s390x alpha ppc64
# 64-bit is primary build target
%define build_primary_64bit 1
%else
%define build_primary_64bit 0
%endif
%define biarch_libjava 0
# COMMON-BEGIN
%define biarch_targets x86_64 s390x powerpc64 powerpc
Url:            http://gcc.gnu.org/
License:        GPL v2 or later
Version:        3.3.3
Release:        7.8.1
%define gcc_version %(echo %version | sed 's/_.*//')
%define snapshot_date %(echo %version | sed 's/[34]\.[0-4]\.[0-6]//' | sed 's/_/-/')
%define binsuffix -3.3
%define versionspecificlibs 0
# COMMON-END
%if 0%{?!building_libjava:1}
Requires:       binutils glibc-devel
Requires:       cpp33 = %{version}-%{release}
Requires:       libgcc >= %{version}-%{release}
%endif
# COMMON-BEGIN
Group:          Development/Languages/C and C++
AutoReqProv:    on
Summary:        The GNU C Compiler Version 3.3(evaluation)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         gcc-%{gcc_version}%{snapshot_date}.tar.bz2
Source1:        change_spec
Source2:        gcc33-rpmlintrc
Patch0:         gcc-3.3.3-hammer.patch.bz2
Patch1:         gcc-noalias-warn.diff
Patch2:         copy-frame-related.diff
Patch3:         head-tail.patch
Patch4:         bug-reporting.patch
Patch5:         libgc.patch
Patch6:         ia64intrin.patch
Patch7:         ffi.patch
Patch8:         string-allocator.patch
Patch9:         ia64-unwind.patch
Patch11:        compact-dwarf2.patch
Patch16:        c99-double-inline.diff
Patch17:        c99numbers.diff
Patch19:        pathlength.patch
Patch21:        gcse-volatile.patch
Patch22:        swig-alias.patch
Patch32:        aliasing.diff
Patch33:        aliasing12.diff
Patch34:        aliasing3.diff
Patch37:        cse-mem-expr.patch
Patch42:        emit-note.patch
Patch47:        regparam.patch.gz
Patch48:        unwind-ia64.patch
Patch49:        ia64-reorg.patch
Patch50:        fix-var-tracking.diff
Patch51:        istream-perf.diff
Patch52:        lsb2-symbols.diff
# Ada patches
Patch53:        gcc32-ada-link.patch
Patch54:        gcc32-ada-addr2line.patch
# c++ patches
# PPC specific
Patch61:        gcc-3.3-ppc64.patch
# Do not merge this patch into the Alan M patch, it will just get lost later.
# If you think it is useless, try building "fam" and watch libtool break.
Patch63:        ppc-nostartfileprefix.patch
Patch64:        ppc-nof.patch
Patch65:        altivec.patch
Patch66:        altivec-to-head.diff.gz
Patch67:        suse44478.diff
Patch68:        suse50394.diff
Patch69:        nov74176.diff
Patch70:        unwind-ia64-2.patch
Patch71:        nov65883.diff
Patch72:        ia64-trap-int-div.diff
Patch73:        nov102315.diff
Patch74:        nov132124.diff
Patch75:        nov148558.diff
Patch76:        nov141311.diff
Patch77:        pr14348.patch
Patch78:        nov216246-1.diff
Patch79:        nov161594.diff
Patch80:        nov166448.diff
Patch81:        nov191825.diff
Patch82:        nov194478.diff
Patch83:        nov201157.diff
Patch84:        libstdc++-config.diff
# LIBJAVA-DELETE-BEGIN

%description
using the additional packages gcc33-libs, gcc33-c++, gcc33-g77 and
gcc33-objc, you can also complile C++, Fortran 77 and Objective C.

NOTE: This package is for evaluation and testing purposes only!



%package -n gcc33-32bit
License:        GPL v2 or later
Summary:        The GNU C Compiler Version 3.3(evaluation)
Group:          Development/Languages/C and C++
AutoReqProv:    on
Requires:       gcc33 = %{version}-%{release}
Requires:       libgcc-32bit >= %{version}-%{release}
Requires:       glibc-devel-32bit glibc-32bit

%description -n gcc33-32bit 
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "32bit" ending

using the additional packages gcc33-libs, gcc33-c++, gcc33-g77 and
gcc33-objc, you can also complile C++, Fortran 77 and Objective C.

NOTE: This package is for evaluation and testing purposes only!



%package -n gcc33-64bit
License:        GPL v2 or later
Summary:        The GNU C Compiler Version 3.3(evaluation)
Group:          Development/Languages/C and C++
AutoReqProv:    on
Requires:       gcc33 = %{version}-%{release}
Requires:       libgcc-64bit >= %{version}-%{release}
Requires:       glibc-devel-64bit

%description -n gcc33-64bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "64bit" ending

using the additional packages gcc33-libs, gcc33-c++, gcc33-g77 and
gcc33-objc, you can also complile C++, Fortran 77 and Objective C.

NOTE: This package is for evaluation and testing purposes only!



%package locale
License:        GPL v2 or later
Summary:        Locale Data for the GNU Compiler Collection
Group:          Development/Languages/C and C++
Requires:       gcc33 = %{version}-%{release}
AutoReqProv:    on

%description locale
Locale data for the GNU Compiler Collection (GCC) to give error message
in the current locale.



%package c++
License:        GPL v2 or later
Summary:        The GNU C++ Compiler Version 3.3(evaluation)
Group:          Development/Languages/C and C++
AutoReqProv:    on
Requires:       gcc33 = %{version}-%{release}
Requires:       libstdc++33-devel = %{version}-%{release}

%description c++
This package contains the GNU compiler for C++, version 3.3, it
installs to /opt/gcc33.

Binaries built with it need the gcc33-libs package in order to run.

NOTE: This package is for evaluation and testing purposes only!



%package -n libstdc++33-devel
License:        GPL v2 or later
Summary:        Include Files and Libraries mandatory for Development
Group:          System/Libraries
AutoReqProv:    on
Requires:       libstdc++5 >= %{version}-%{release}
Requires:       gcc33 = %{version}-%{release}
Requires:       glibc-devel
%ifarch ia64
Requires:       libunwind-devel
%endif

%description -n libstdc++33-devel
This package contains all the headers and libraries of the standard C++
library. It is needed for compiling C++ code.

The source code is in the package gcc.



%package -n libstdc++33-devel-32bit
License:        GPL v2 or later
Summary:        Include Files and Libraries mandatory for Development
Group:          System/Libraries
AutoReqProv:    on
Requires:       libstdc++5-32bit >= %{version}-%{release}
Requires:       gcc33 = %{version}-%{release}
Requires:       glibc-devel-32bit glibc-32bit
%ifarch ia64
Requires:       libunwind-devel
%endif

%description -n libstdc++33-devel-32bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "32bit" ending

This package contains all the headers and libraries of the standard C++
library. It is needed for compiling C++ code.

The source code is in the package gcc.



%package -n libstdc++33-devel-64bit
License:        GPL v2 or later
Summary:        Include Files and Libraries mandatory for Development
Group:          System/Libraries
AutoReqProv:    on
Requires:       libstdc++5-64bit >= %{version}-%{release}
Requires:       gcc33 = %{version}-%{release}
Requires:       glibc-devel-64bit
%ifarch ia64
Requires:       libunwind-devel
%endif

%description -n libstdc++33-devel-64bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "64bit" ending

This package contains all the headers and libraries of the standard C++
library. It is needed for compiling C++ code.

The source code is in the package gcc.



%package -n libstdc++33-doc
License:        GPL v2 or later
Summary:        Documentation for the GNU C++ standard library
Group:          System/Libraries
AutoReqProv:    on

%description -n libstdc++33-doc
Documentation for the GNU C++ standard library



%package -n libgcc33
License:        GPL v2 or later
Summary:        C compiler runtime library
Group:          System/Base
Provides:       libgcc = %{version}-%{release}
Obsoletes:      libgcc
AutoReqProv:    on

%description -n libgcc33
Libgcc is needed for dynamically linked C programs.



Authors:
--------
    The GCC team.

%post -n libgcc33
%run_ldconfig

%postun -n libgcc33
%run_ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libgcc33-32bit
License:        GPL v2 or later
Summary:        C compiler runtime library
Group:          System/Base
Provides:       libgcc-32bit = %{version}-%{release}
Obsoletes:      libgcc-32bit
AutoReqProv:    on

%description -n libgcc33-32bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "32bit" ending

Libgcc is needed for dynamically linked C programs.



Authors:
--------
    The GCC team.

%post -n libgcc33-32bit
%run_ldconfig

%postun -n libgcc33-32bit
%run_ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libgcc33-64bit
License:        GPL v2 or later
Summary:        C compiler runtime library
Group:          System/Base
Provides:       libgcc-64bit = %{version}-%{release}
Obsoletes:      libgcc-64bit
AutoReqProv:    on

%description -n libgcc33-64bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "64bit" ending

Libgcc is needed for dynamically linked C programs.



Authors:
--------
    The GCC team.

%post -n libgcc33-64bit
%run_ldconfig

%postun -n libgcc33-64bit
%run_ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libstdc++33
License:        GPL v2 or later
Summary:        The standard C++ shared library
Group:          System/Libraries
%if "" == ""
Provides:       compat-libstdc++
Obsoletes:      compat-libstdc++
%else
%if %{build_primary_64bit}
Provides:       compat-libstdc++:%{_prefix}/lib/libstdc++.so.5
%else
Provides:       compat-libstdc++-64bit
Obsoletes:      compat-libstdc++-64bit
%endif
%endif
Provides:       libstdc++5 = %{version}-%{release}
Obsoletes:      libstdc++5 < %{version}-%{release}
AutoReqProv:    on

%description -n libstdc++33
The standard C++ library, needed for dynamically linked C++ programs.



Authors:
--------
    Paolo Carlini <pcarlini@suse.de>
    Gabriel Dos Reis <gdr@integrable-solutions.net>
    Ulrich Drepper <drepper@redhat.com>
    Phil Edwards <pme@gcc.gnu.org>
    Benjamin Kosnik <bkoz@redhat.com>
    Loren J. Rittle <ljrittle@acm.org>
    et.al.

%post -n libstdc++33
%run_ldconfig

%postun -n libstdc++33
%run_ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libstdc++33-32bit
License:        GPL v2 or later
Summary:        The standard C++ shared library
Group:          System/Libraries
%if "-32bit" == ""
Provides:       compat-libstdc++
Obsoletes:      compat-libstdc++
%else
%if %{build_primary_64bit}
Provides:       compat-libstdc++:%{_prefix}/lib/libstdc++.so.5
%else
Provides:       compat-libstdc++-64bit
Obsoletes:      compat-libstdc++-64bit
%endif
%endif
Provides:       libstdc++5-32bit = %{version}-%{release}
Obsoletes:      libstdc++5-32bit < %{version}-%{release}
AutoReqProv:    on

%description -n libstdc++33-32bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "32bit" ending

The standard C++ library, needed for dynamically linked C++ programs.



Authors:
--------
    Paolo Carlini <pcarlini@suse.de>
    Gabriel Dos Reis <gdr@integrable-solutions.net>
    Ulrich Drepper <drepper@redhat.com>
    Phil Edwards <pme@gcc.gnu.org>
    Benjamin Kosnik <bkoz@redhat.com>
    Loren J. Rittle <ljrittle@acm.org>
    et.al.

%post -n libstdc++33-32bit
%run_ldconfig

%postun -n libstdc++33-32bit
%run_ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libstdc++33-64bit
License:        GPL v2 or later
Summary:        The standard C++ shared library
Group:          System/Libraries
%if "-64bit" == ""
Provides:       compat-libstdc++
Obsoletes:      compat-libstdc++
%else
%if %{build_primary_64bit}
Provides:       compat-libstdc++:%{_prefix}/lib/libstdc++.so.5
%else
Provides:       compat-libstdc++-64bit
Obsoletes:      compat-libstdc++-64bit
%endif
%endif
Provides:       libstdc++5-64bit = %{version}-%{release}
Obsoletes:      libstdc++5-64bit < %{version}-%{release}
AutoReqProv:    on

%description -n libstdc++33-64bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "64bit" ending

The standard C++ library, needed for dynamically linked C++ programs.



Authors:
--------
    Paolo Carlini <pcarlini@suse.de>
    Gabriel Dos Reis <gdr@integrable-solutions.net>
    Ulrich Drepper <drepper@redhat.com>
    Phil Edwards <pme@gcc.gnu.org>
    Benjamin Kosnik <bkoz@redhat.com>
    Loren J. Rittle <ljrittle@acm.org>
    et.al.

%post -n libstdc++33-64bit
%run_ldconfig

%postun -n libstdc++33-64bit
%run_ldconfig
# PACKAGE-END

%package info
License:        GNU Free Documentation License, Version 1.1 (GFDL 1.1)
Summary:        GNU Info-Pages for GCC
Group:          Development/Languages/C and C++
AutoReqProv:    on
PreReq:         %{install_info_prereq}

%description info
GNU info-pages for GCC.



%package objc
License:        GPL v2 or later
Summary:        GNU Objective C Compiler Version 3.3(evaluation)
Group:          Development/Languages/Other
AutoReqProv:    on
Requires:       gcc33 = %{version}-%{release}
Requires:       libobjc >= %{version}-%{release}

%description objc
This package contains an GNU Objective C compiler which uses the GCC
3.3 in the gcc33 package as backend.

Objective C is an object oriented language, created by Next Inc. and
used in their Nextstep OS.

Binaries built with it need the gcc33-libs package in order to run.

NOTE: This package is for evaluation and testing purposes only!



%package objc-32bit
License:        GPL v2 or later
Summary:        GNU Objective C Compiler Version 3.3(evaluation)
Group:          Development/Languages/Other
AutoReqProv:    on
Requires:       gcc33 = %{version}-%{release}
Requires:       libobjc-32bit >= %{version}-%{release}

%description objc-32bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "32bit" ending

This package contains an GNU Objective C compiler which uses the GCC
3.3 in the gcc33 package as backend.

Objective C is an object oriented language, created by Next Inc. and
used in their Nextstep OS.

Binaries built with it need the gcc33-libs package in order to run.

NOTE: This package is for evaluation and testing purposes only!



%package objc-64bit
License:        GPL v2 or later
Summary:        GNU Objective C Compiler Version 3.3(evaluation)
Group:          Development/Languages/Other
AutoReqProv:    on
Requires:       gcc33 = %{version}-%{release}
Requires:       libobjc-64bit >= %{version}-%{release}

%description objc-64bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "64bit" ending

This package contains an GNU Objective C compiler which uses the GCC
3.3 in the gcc33 package as backend.

Objective C is an object oriented language, created by Next Inc. and
used in their Nextstep OS.

Binaries built with it need the gcc33-libs package in order to run.

NOTE: This package is for evaluation and testing purposes only!



%package -n libobjc33
License:        GPL v2 or later
Summary:        Library for the GNU Objective C Compiler
Group:          Development/Libraries/Other
Provides:       libobjc = %{version}-%{release}
Obsoletes:      libobjc

%description -n libobjc33
The library for the GNU Objective C compiler.



%post -n libobjc33
%run_ldconfig

%postun -n libobjc33
%run_ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libobjc33-32bit
License:        GPL v2 or later
Summary:        Library for the GNU Objective C Compiler
Group:          Development/Libraries/Other
Provides:       libobjc-32bit = %{version}-%{release}
Obsoletes:      libobjc-32bit

%description -n libobjc33-32bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "32bit" ending

The library for the GNU Objective C compiler.



%post -n libobjc33-32bit
%run_ldconfig

%postun -n libobjc33-32bit
%run_ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libobjc33-64bit
License:        GPL v2 or later
Summary:        Library for the GNU Objective C Compiler
Group:          Development/Libraries/Other
Provides:       libobjc-64bit = %{version}-%{release}
Obsoletes:      libobjc-64bit

%description -n libobjc33-64bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "64bit" ending

The library for the GNU Objective C compiler.



%post -n libobjc33-64bit
%run_ldconfig

%postun -n libobjc33-64bit
%run_ldconfig
# PACKAGE-END

%package obj-c++
License:        GPL v2 or later
Summary:        GNU Objective C++ Compiler
Group:          Development/Languages/Other
AutoReqProv:    on
Requires:       gcc33-objc = %{version}-%{release}
Requires:       gcc33-c++ = %{version}-%{release}

%description obj-c++
This package contains the GNU Objective C++ compiler. Objective C++ is
an object oriented language, created by Next Inc. and used in their
Nextstep OS. The source code is available in the gcc package.



%package -n cpp33
License:        GPL v2 or later
Summary:        The GCC Preprocessor
Group:          Development/Languages/C and C++

%description -n cpp33
This Package contains just the preprocessor that is used by the X11
packages.



Authors:
--------
    The GCC team. 

%package ada
License:        GPL v2 or later
Requires:       gcc33 = %{version}-%{release}
Requires:       libada33 = %{version}-%{release}
Summary:        GNU Ada95 Compiler Based on GCC (GNAT)
Group:          Development/Languages/C and C++
AutoReqProv:    on
Provides:       gnat
Obsoletes:      gnat

%description ada
This package contains an Ada95 compiler and associated development
tools based on the GNU GCC technology. Ada95 is the object oriented
successor of the Ada83 language. To build this package from source you
must have installed a binary version to bootstrap the compiler.



Authors:
--------
    The GCC team.

%package -n libada33
License:        GPL v2 or later
Summary:        GNU Ada Runtime Libraries
Group:          Development/Languages/C and C++
AutoReqProv:    on
Provides:       libada
Obsoletes:      libada
Provides:       gnat-runtime
Obsoletes:      gnat-runtime

%description -n libada33
This package contains the shared libraries required to run programs
compiled with the GNU Ada compiler (GNAT) if they are compiled to use
shared libraries. It also contains the shared libraries for the
Implementation of the Ada Semantic Interface Specification (ASIS), the
implementation of Distributed Systems Programming (GLADE) and the Posix
1003.5 Binding (Florist).



Authors:
--------
    The GCC team.

%package fortran
License:        GPL v2 or later
Summary:        The GNU Fortran 77 Compiler and Support Files
Group:          Development/Languages/Fortran
AutoReqProv:    on
Requires:       gcc33 = %{version}-%{release}
Requires:       libg2c >= %{version}-%{release}

%description fortran
This is the Fortran 77 compiler of the GNU Compiler Collection (GCC).



Authors:
--------
    The GCC team.

%package fortran-32bit
License:        GPL v2 or later
Summary:        The GNU Fortran 77 Compiler and Support Files
Group:          Development/Languages/Fortran
AutoReqProv:    on
Requires:       gcc33 = %{version}-%{release}
Requires:       libg2c-32bit >= %{version}-%{release}

%description fortran-32bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "32bit" ending

This is the Fortran 77 compiler of the GNU Compiler Collection (GCC).



Authors:
--------
    The GCC team.

%package fortran-64bit
License:        GPL v2 or later
Summary:        The GNU Fortran 77 Compiler and Support Files
Group:          Development/Languages/Fortran
AutoReqProv:    on
Requires:       gcc33 = %{version}-%{release}
Requires:       libg2c-64bit >= %{version}-%{release}

%description fortran-64bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "64bit" ending

This is the Fortran 77 compiler of the GNU Compiler Collection (GCC).



Authors:
--------
    The GCC team.

%package -n libg2c33
License:        GPL v2 or later
Summary:        The GNU G77 Fortran Compiler Runtime
Group:          Development/Languages/Fortran
%if "" == ""
Provides:       compat-g77
Obsoletes:      compat-g77
%else
%if %{build_primary_64bit}
Provides:       compat-g77:%{_prefix}/lib/libg2c.so.0
%else
Provides:       compat-g77:%{_prefix}/lib64/libg2c.so.0
%endif
%endif
Provides:       libg2c = %{version}-%{release}
Obsoletes:      libg2c
AutoReqProv:    on

%description -n libg2c33
This is the Fortran 77 Runtime of the GNU Compiler Collection (GCC).



Authors:
--------
    The GCC team.

%post -n libg2c33
%run_ldconfig

%postun -n libg2c33
%run_ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libg2c33-32bit
License:        GPL v2 or later
Summary:        The GNU G77 Fortran Compiler Runtime
Group:          Development/Languages/Fortran
%if "-32bit" == ""
Provides:       compat-g77
Obsoletes:      compat-g77
%else
%if %{build_primary_64bit}
Provides:       compat-g77:%{_prefix}/lib/libg2c.so.0
%else
Provides:       compat-g77:%{_prefix}/lib64/libg2c.so.0
%endif
%endif
Provides:       libg2c-32bit = %{version}-%{release}
Obsoletes:      libg2c-32bit
AutoReqProv:    on

%description -n libg2c33-32bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "32bit" ending

This is the Fortran 77 Runtime of the GNU Compiler Collection (GCC).



Authors:
--------
    The GCC team.

%post -n libg2c33-32bit
%run_ldconfig

%postun -n libg2c33-32bit
%run_ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libg2c33-64bit
License:        GPL v2 or later
Summary:        The GNU G77 Fortran Compiler Runtime
Group:          Development/Languages/Fortran
%if "-64bit" == ""
Provides:       compat-g77
Obsoletes:      compat-g77
%else
%if %{build_primary_64bit}
Provides:       compat-g77:%{_prefix}/lib/libg2c.so.0
%else
Provides:       compat-g77:%{_prefix}/lib64/libg2c.so.0
%endif
%endif
Provides:       libg2c-64bit = %{version}-%{release}
Obsoletes:      libg2c-64bit
AutoReqProv:    on

%description -n libg2c33-64bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "64bit" ending

This is the Fortran 77 Runtime of the GNU Compiler Collection (GCC).



Authors:
--------
    The GCC team.

%post -n libg2c33-64bit
%run_ldconfig

%postun -n libg2c33-64bit
%run_ldconfig
# PACKAGE-END

%package java
License:        GPL v2 or later
Summary:        The GNU Java Compiler
Group:          Development/Languages/Java
AutoReqProv:    on
Requires:       gcc33 = %{version}-%{release}
Requires:       libgcj33-devel = %{version}-%{release}

%description java
The Java compiler from the GCC-tools-suite.



%package -n libgcj33
License:        GPL v2 or later; LGPL v2.1 or later
# LIBJAVA-DELETE-END
Summary:        Java Runtime Library for gcc
Group:          System/Libraries
Provides:       libgcj = %{version}-%{release}
Obsoletes:      libgcj
AutoReqProv:    on

%description -n libgcj33
This library is needed if you want to use the GNU Java compiler, gcj.
Source code for this package is in gcc.



%package -n libgcj33-devel
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Java Runtime Library for gcc
Group:          System/Libraries
AutoReqProv:    on
Requires:       libstdc++33-devel = %{version}-%{release}
Requires:       libgcj >= %{version}-%{release}
Requires:       gtk2-devel
Requires:       libart_lgpl-devel
Requires:       glibc-devel
Requires:       zlib-devel
%ifarch ia64
Requires:       libunwind-devel
%endif

%description -n libgcj33-devel
This library is needed if you want to use the GNU Java compiler, gcj.
Source code for this package is in gcc.



%package -n gcc33-gij
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Java Runtime Library for gcc
Group:          System/Libraries
Requires:       libgcj >= %{version}-%{release}
AutoReqProv:    on

%description -n gcc33-gij
This library is needed if you want to use the GNU Java compiler, gcj.
Source code for this package is in gcc.



%package -n libffi33
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Java Runtime Library for gcc
Group:          System/Libraries
AutoReqProv:    on
Provides:       g-wrap:/usr/lib/libffi.so.4

%description -n libffi33
This library is needed if you want to use the GNU Java compiler, gcj.
Source code for this package is in gcc.



%package -n libffi33-32bit
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Java Runtime Library for gcc
Group:          System/Libraries
AutoReqProv:    on
Provides:       g-wrap:/usr/lib/libffi.so.4

%description -n libffi33-32bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "32bit" ending

This library is needed if you want to use the GNU Java compiler, gcj.
Source code for this package is in gcc.



%package -n libffi33-64bit
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Java Runtime Library for gcc
Group:          System/Libraries
AutoReqProv:    on
Provides:       g-wrap:/usr/lib/libffi.so.4

%description -n libffi33-64bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "64bit" ending

This library is needed if you want to use the GNU Java compiler, gcj.
Source code for this package is in gcc.



%package -n libffi33-devel
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Java Runtime Library for gcc
Group:          System/Libraries
AutoReqProv:    on
Requires:       libffi33 >= %{version}-%{release}

%description -n libffi33-devel
This library is needed if you want to use the GNU Java compiler, gcj.
Source code for this package is in gcc.



%package -n libffi33-devel-32bit
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Java Runtime Library for gcc
Group:          System/Libraries
AutoReqProv:    on
Requires:       libffi33-32bit >= %{version}-%{release}

%description -n libffi33-devel-32bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "32bit" ending

This library is needed if you want to use the GNU Java compiler, gcj.
Source code for this package is in gcc.



%package -n libffi33-devel-64bit
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Java Runtime Library for gcc
Group:          System/Libraries
AutoReqProv:    on
Requires:       libffi33-64bit >= %{version}-%{release}

%description -n libffi33-devel-64bit
This is a re-packaged binary rpm. For the package source, please look
for the source of the package without the "64bit" ending

This library is needed if you want to use the GNU Java compiler, gcj.
Source code for this package is in gcc.



%package -n gcc33-testresults
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Java Runtime Library for gcc
Group:          System/Libraries

%description -n gcc33-testresults
This library is needed if you want to use the GNU Java compiler, gcj.
Source code for this package is in gcc.



%if 0%{?gcc_target_arch:1}
%define CONFIGURE_TARGET %{gcc_target_arch}
%define TARGET_ARCH %(echo %{gcc_target_arch} | cut -d - -f 1 | sed -e "s/i.86/i586/;s/ppc/powerpc/")
%if 0%{?gcc_icecream:1} && %{TARGET_ARCH} == "powerpc"
%define CONFIGURE_TARGET powerpc64-linux
%endif
%else
%define TARGET_ARCH %(echo %{_target_cpu} | sed -e "s/i.86/i586/;s/ppc/powerpc/")
%endif
%define HOST_ARCH %(echo %{_host_cpu} | sed -e "s/i.86/i586/;s/ppc/powerpc/")
%define biarch %(case " %{biarch_targets} " in (*" %{TARGET_ARCH} "*) echo 1;; (*) echo 0;; esac)
%ifarch ppc
%define GCCDIST powerpc64-suse-linux
%else
%define GCCDIST %{HOST_ARCH}-suse-linux
%endif
%define libsubdir %{_libdir}/gcc-lib/%{GCCDIST}/3.3.3-hammer
%define gxxinclude %{_prefix}/include/c++/%{gcc_version}
# COMMON-END
# Versionspecific directories
%define versmainlibdir %{libsubdir}
%define versmainlibdirbi32 %{libsubdir}/32
%define versmainlibdirbi64 %{libsubdir}/64
%ifarch ppc
%define versnoflibdir %{libsubdir}/nof
%define versmainlibdirbi32 %{libsubdir}
%define versmainlibdirbi64 %{libsubdir}/64
%endif
%ifarch ppc64
%define versnoflibdir %{libsubdir}/32/nof
%endif
# If we use versionspecific libs, they end in libsubdir
%if %{versionspecificlibs}
%define mainlibdir %{libsubdir}
%define mainlibdirbi32 %{libsubdir}/32
%define mainlibdirbi64 %{libsubdir}/64
%ifarch ppc
%define noflibdir %{libsubdir}/nof
%define mainlibdirbi32 %{libsubdir}
%define mainlibdirbi64 %{libsubdir}/64
%endif
%ifarch ppc64
%define noflibdir %{libsubdir}/32/nof
%endif
%else
%define mainlibdir %{_libdir}
%define mainlibdirbi32 %{_prefix}/lib
%define mainlibdirbi64 %{_prefix}/lib64
%define noflibdir %{_prefix}/lib/nof
%endif
# Now define a few macros that make it easy to package libs and
# related files just to the right package, without caring for the
# exact path the files are in.
#   %mainlib  package X from all dirs that belong to the main package
#   %biarchlib   package X from all dirs that belong to the -32/64bit package
# by default, nof libs go where the 32bit libs go.
%if %{build_nof}
%define mainlib() %{mainlibdir}/%1\
%{noflibdir}/%1\
%{nil}
%else
%define mainlib() %{mainlibdir}/%1\
%{nil}
%endif
%define biarchlib() %{nil}
%if %{biarch}
%if %{build_primary_64bit}
%if !%{separate_bi32}
%if %{build_nof}
%define mainlib() %{mainlibdir}/%1\
%{mainlibdirbi32}/%1\
%{noflibdir}/%1\
%{nil}
%else
%define mainlib() %{mainlibdir}/%1\
%{mainlibdirbi32}/%1\
%{nil}
%endif
%else
%if %{build_nof}
%define biarchlib() %{mainlibdirbi32}/%1\
%{noflibdir}/%1\
%{nil}
%define mainlib() %{mainlibdir}/%1\
%{nil}
%else
%define biarchlib() %{mainlibdirbi32}/%1\
%{nil}
%endif
%endif
%else
%if !%{separate_bi64}
%if %{build_nof}
%define mainlib() %{mainlibdir}/%1\
%{mainlibdirbi64}/%1\
%{noflibdir}/%1\
%{nil}
%else
%define mainlib() %{mainlibdir}/%1\
%{mainlibdirbi64}/%1\
%{nil}
%endif
%else
%define biarchlib() %{mainlibdirbi64}/%1\
%{nil}
%endif
%endif
%endif
%if %{build_nof}
%define versmainlib() %{versmainlibdir}/%1\
%{versnoflibdir}/%1\
%{nil}
%else
%define versmainlib() %{versmainlibdir}/%1\
%{nil}
%endif
%define versbiarchlib() %{nil}
%if %{biarch}
%if %{build_primary_64bit}
%if !%{separate_bi32}
%if %{build_nof}
%define versmainlib() %{versmainlibdir}/%1\
%{versmainlibdirbi32}/%1\
%{versnoflibdir}/%1\
%{nil}
%else
%define versmainlib() %{versmainlibdir}/%1\
%{versmainlibdirbi32}/%1\
%{nil}
%endif
%else
%if %{build_nof}
%define versbiarchlib() %{versmainlibdirbi32}/%1\
%{versnoflibdir}/%1\
%{nil}
%define versmainlib() %{versmainlibdir}/%1\
%{nil}
%else
%define versbiarchlib() %{versmainlibdirbi32}/%1\
%{nil}
%endif
%endif
%else
%if !%{separate_bi64}
%if %{build_nof}
%define versmainlib() %{versmainlibdir}/%1\
%{versmainlibdirbi64}/%1\
%{versnoflibdir}/%1\
%{nil}
%else
%define versmainlib() %{versmainlibdir}/%1\
%{versmainlibdirbi64}/%1\
%{nil}
%endif
%else
%define versbiarchlib() %{versmainlibdirbi64}/%1\
%{nil}
%endif
%endif
%endif
# COMMON-BEGIN

%prep
%setup -q -n gcc-%{gcc_version}%{snapshot_date}
%patch0 
%patch1
cd gcc
%patch2
cd ..
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9 -p1
%patch11
%patch16
%patch17
%patch19
%patch21
%patch22
%patch32
%patch33
%patch34
%patch37
%patch42
%patch47
%patch48
%patch49
%patch50
%patch51
%patch52
%patch53
%patch54
#%ifarch ppc ppc64
%patch61 -p1
#%patch63 -p1
#%endif
%patch64 -p1
%patch65 -p1
cd gcc
%patch66
cd ..
%patch67
%patch68
%patch69
%patch70
%patch71 -p1
%patch72
%patch73
%ifarch s390 s390x
%patch74 -p1
%endif
%patch75
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79
%patch80
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84

%build
# Avoid conflict with commercial libjawt.so
sed -i -e 's/libjawt/libgcjawt/g' libjava/Makefile.{am,in}
# Avoid rebuilding of generated files
contrib/gcc_update --touch
rm -rf obj-%{GCCDIST}
mkdir obj-%{GCCDIST}
cd obj-%{GCCDIST}
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -U_FORTIFY_SOURCE"
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g' -e 's/-fno-exceptions//g' -e 's/-Wmissing-format-attribute//g' -e 's/-fstack-protector//g' -e 's/-funwind-tables//g' -e 's/-fasynchronous-unwind-tables//g'`
%ifarch %ix86
# -mcpu is superceded by -mtune but -mtune is not supported by
# our bootstrap compiler.  -mcpu gives a warning that stops
# the build process, so remove it for now.
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-mcpu=i.86//g'`
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-mtune=i.86//g'`
%endif
%ifarch s390 s390x
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-fsigned-char//g'`
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-O1/-O2/g'`
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-march=z9-109//g'`
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-mtune=z10//g'`
%endif
%if 0%{?gcc_target_arch:1} && 0%{!?gcc_icecream:1}
# Kill all -march/tune/cpu because that screws building the target libs
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-m\(arch\|tune\|cpu\)=[^ ]*//g'`
%endif
# Replace 2 spaces by one finally
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/  / /g'`
languages=c,c++,objc
%if %{build_fortran}
languages=$languages,f77
%endif
%if %{build_objcp}
languages=$languages,obj-c++
%endif
%if %{build_java}
languages=$languages,java
%endif
%if %{build_ada}
languages=$languages,ada
%endif
# override for cross targets until we have build_objc
%if 0%{?gcc_target_arch:1}
languages=c,c++
%endif
J=%{?jobs:%jobs}
if test -z "$J"; then
  J=$(getconf _NPROCESSORS_CONF)
  JL=$(($J * 2))
else
  test 1 -gt "$J" && J=1
  JL=$(($(getconf _NPROCESSORS_CONF)*2))
fi
if test "$J" == "0"; then
  J=1
fi
if test "$JL" == "0"; then
  JL=1
fi
PARALLEL="-j$J -l$JL"
# we don't want some miscompiles in the testsuite, or some fault in
# the compiler to kill the machine.  Hence we limit the amount of memory
# by the physical RAM plus half of swap
#MEM=$(free -m | awk '/^Mem:/ {print $2}')
#SWAP=$(free -m | awk '/^Swap:/ {print $2}')
#ulimit -v $(((MEM + SWAP/2)*1024))
# In general we want to ship release checking enabled compilers
# and run BETA with checking enabled.
#ENABLE_CHECKING=--enable-checking
ENABLE_CHECKING="--disable-checking"
%if "%{name}" != "gcc33"
export PATH=/opt/cross/bin:$PATH
%endif
# Work around tail/head -1 changes
export _POSIX2_VERSION=199209
# configure tries to parse include/features.h to detect
# if glibc supports SSP.  When cross compiling we would need
# to install a cross glibc, which we don't, or make the whole
# thing point to the native glibc, which is in /, hence the
# --with-sysroot=/
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" XCFLAGS="$RPM_OPT_FLAGS" \
TCFLAGS="$RPM_OPT_FLAGS" GCJFLAGS="$RPM_OPT_FLAGS" \
../configure \
%if 0%{?gcc_target_arch:1} && 0%{!?gcc_icecream:1}
%else
	--enable-threads=posix \
%endif
	--prefix=%{_prefix} --with-local-prefix=/usr/local \
	--infodir=%{_infodir} --mandir=%{_mandir} \
	--libdir=%{_libdir} --libexecdir=%{_libdir} \
	--enable-languages=$languages $ENABLE_CHECKING \
	--with-gxx-include-dir=/usr/include/c++/%{gcc_version} \
	--enable-ssp --disable-libssp \
%if !%{build_libjava}
        --disable-libgcj \
%else
        --enable-java-awt=gtk --enable-gtk-cairo \
%if !%{biarch_libjava}
        --disable-libjava-multilib \
%endif
%endif
	--with-slibdir=/%{_lib} --with-system-zlib \
	--enable-shared --enable-__cxa_atexit \
	--enable-libstdcxx-allocator=new \
%if 0%{?gcc_target_arch:1}
%if 0%{?gcc_icecream:1}
	--with-as=/opt/cross/%{TARGET_ARCH}-linux/bin/as \
	--with-ld=/opt/cross/%{TARGET_ARCH}-linux/bin/ld \
	--with-sysroot=/ \
%endif
	--disable-nls --disable-shared \
	--target=%{CONFIGURE_TARGET} \
%else
	--program-suffix=%{binsuffix} \
	--enable-version-specific-runtime-libs \
%ifarch ia64
	--with-system-libunwind \
%else
	--without-system-libunwind \
%endif
%endif
%if "%{TARGET_ARCH}" == "powerpc"
	--with-cpu=default32 \
	--enable-secureplt \
	--with-long-double-128 \
	--enable-biarch \
%endif
%if "%{TARGET_ARCH}" == "powerpc64"
	--enable-secureplt \
	--with-long-double-128 \
	--enable-biarch \
%endif
%if "%{TARGET_ARCH}" == "i586"
	--with-cpu=generic \
%endif
%if "%{TARGET_ARCH}" == "x86_64"
	--with-cpu=generic \
%endif
%if "%{TARGET_ARCH}" == "s390"
        --with-tune=z9-109 --with-arch=z900 \
	--with-long-double-128 \
%endif
%if "%{TARGET_ARCH}" == "s390x"
        --with-tune=z9-109 --with-arch=z900 \
	--with-long-double-128 \
%endif
	--host=%{GCCDIST}
# COMMON-END
# Only run profiled bootstrap on archs where it works
#%ifarch %ix86 x86_64 ppc ppc64 ia64
#make profiledbootstrap BOOT_CFLAGS="$RPM_OPT_FLAGS" $PARALLEL
#%else
make bootstrap-lean BOOT_CFLAGS="$RPM_OPT_FLAGS" $PARALLEL
#%endif
#make -C gcc proto
make info
%if %{run_tests}
echo "Run testsuite"
make -k check $PARALLEL || true
(make -C %{GCCDIST}/libstdc++-v3 check-abi || true)
%endif

%install
rm -rf $RPM_BUILD_ROOT
cd obj-%{GCCDIST}
# Work around tail/head -1 changes
export _POSIX2_VERSION=199209
export LIBRARY_PATH=$RPM_BUILD_ROOT%{libsubdir}:$RPM_BUILD_ROOT%{mainlibdirbi32}:$RPM_BUILD_ROOT%{mainlibdirbi64}
%if 0%{?building_libjava:1}
%if %{build_libjava}
make -C %{GCCDIST}/libjava install DESTDIR=$RPM_BUILD_ROOT
make -C %{GCCDIST}/libffi install DESTDIR=$RPM_BUILD_ROOT
make -C gcc java.install-man DESTDIR=$RPM_BUILD_ROOT
%endif
%else
make install DESTDIR=$RPM_BUILD_ROOT
%endif
mkdir -p $RPM_BUILD_ROOT%{_libdir}
%if 0%{?!building_libjava:1}
# Move wrongly installed fortran stuff
mv $RPM_BUILD_ROOT%{libsubdir}/../lib* $RPM_BUILD_ROOT%{libsubdir}/
%if %{biarch}
%if %{build_primary_64bit}
mv $RPM_BUILD_ROOT%{libsubdir}/../32/lib* $RPM_BUILD_ROOT%{libsubdir}/32/
%else
mv $RPM_BUILD_ROOT%{libsubdir}/../64/lib* $RPM_BUILD_ROOT%{libsubdir}/64/
%endif
%endif
%endif
# Move manpages that were not properly versioned
%if 0%{?!building_libjava:1}
mv $RPM_BUILD_ROOT%{_mandir}/man1/gcov.1 $RPM_BUILD_ROOT%{_mandir}/man1/gcov%{binsuffix}.1
mv $RPM_BUILD_ROOT%{_mandir}/man1/cpp.1 $RPM_BUILD_ROOT%{_mandir}/man1/cpp%{binsuffix}.1
%endif
%if %{build_java}
for i in gcjh gij jcf-dump jv-convert jv-scan rmic rmiregistry; do
mv $RPM_BUILD_ROOT%{_mandir}/man1/$i.1 $RPM_BUILD_ROOT%{_mandir}/man1/$i%{binsuffix}.1
done
%endif
# Remove some useless .la files
for lib in libobjc libg2c libfrtbegin \
    libstdc++ libsupc++; do
  rm -f $RPM_BUILD_ROOT%{versmainlibdir}/$lib.la
%if %{biarch}
%if %{build_primary_64bit}
  rm -f $RPM_BUILD_ROOT%{versmainlibdirbi32}/$lib.la
%else
  rm -f $RPM_BUILD_ROOT%{versmainlibdirbi64}/$lib.la
%endif
%endif
done
%if %{biarch}
%if %{build_primary_64bit}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib
%else
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib64
%endif
%endif
# LIBJAVA-DELETE-BEGIN
# Fix c++config.h for multilibs
cxxconfig="`find %{GCCDIST}/libstdc++-v3/include -name c++config.h`"
for i in `find %{GCCDIST}/[36]*/libstdc++-v3/include -name c++config.h 2>/dev/null`; do
  if ! diff -up $cxxconfig $i; then
    file_32=x
    file_64=x
    case $i in
      %{GCCDIST}/32/*)
        file_32=$i
        file_64=$cxxconfig
	;;
      %{GCCDIST}/64/*)
        file_32=$cxxconfig
	file_64=$i
	;;
    esac
    if ! ( test -f "$file_32" && test -f "$file_64" ); then
      echo "Urgs?"
      exit 1
    fi
    cat > $RPM_BUILD_ROOT%{_prefix}/include/c++/%{gcc_version}/%{GCCDIST}/bits/c++config.h <<EOF
#ifndef _CPP_CPPCONFIG_WRAPPER
#define _CPP_CPPCONFIG_WRAPPER 1
#include <bits/wordsize.h>
#if __WORDSIZE == 32
`cat $file_32`
#else
`cat $file_64`
#endif
#endif
EOF
    break
  fi
done
# LIBJAVA-DELETE-END
# Move shared libs around
%if %{versionspecificlibs}
%else
# libjava possibly breaks, ada is broken
for libname in \
%if %{build_libjava}
  libgcj libgij libgcjawt lib-gnu-java-awt-peer-gtk \
%endif
  ; do
  mv -f $RPM_BUILD_ROOT%{versmainlibdir}/$libname.* $RPM_BUILD_ROOT%{mainlibdir}/
%if %{biarch_libjava}
%if %{build_primary_64bit}
  mv -f $RPM_BUILD_ROOT%{versmainlibdirbi32}/$libname.* $RPM_BUILD_ROOT%{mainlibdirbi32}/
%else
  mv -f $RPM_BUILD_ROOT%{versmainlibdirbi64}/$libname.* $RPM_BUILD_ROOT%{mainlibdirbi64}/
%endif
%endif
done
# LIBJAVA-DELETE-BEGIN
# move shared libs from versionspecific dir to main libdir
for libname in \
%if %{build_fortran}
  libg2c \
%endif
  libobjc libstdc++ ; do
  for lib in `find $RPM_BUILD_ROOT%{versmainlibdir} -maxdepth 1 -name $libname.so.*`; do
    mv $lib $RPM_BUILD_ROOT%{mainlibdir}/
  done
  ln -sf %{mainlibdir}/`readlink $RPM_BUILD_ROOT%{versmainlibdir}/$libname.so | sed -e 's/\(.*\.so\.[^\.]*\).*/\1/'`  \
         $RPM_BUILD_ROOT%{versmainlibdir}/$libname.so
%if %{biarch}
%if %{build_primary_64bit}
  for lib in `find $RPM_BUILD_ROOT%{versmainlibdirbi32} -maxdepth 1 -name "$libname.so.*"`; do
    mv $lib $RPM_BUILD_ROOT%{mainlibdirbi32}/
  done
  ln -sf %{mainlibdirbi32}/`readlink $RPM_BUILD_ROOT%{versmainlibdirbi32}/$libname.so | sed -e 's/\(.*\.so\.[^\.]*\).*/\1/'`  \
         $RPM_BUILD_ROOT%{versmainlibdirbi32}/$libname.so
%else
  for lib in `find $RPM_BUILD_ROOT%{versmainlibdirbi64} -maxdepth 1 -name "$libname.so.*"`; do
    mv $lib $RPM_BUILD_ROOT%{mainlibdirbi64}/
  done
  ln -sf %{mainlibdirbi64}/`readlink $RPM_BUILD_ROOT%{versmainlibdirbi64}/$libname.so | sed -e 's/\(.*\.so\.[^\.]*\).*/\1/'`  \
         $RPM_BUILD_ROOT%{versmainlibdirbi64}/$libname.so
%endif
%endif
done
%endif
# Move libgcc_s around
rm -f $RPM_BUILD_ROOT/%{_lib}/libgcc_s.so
ln -sf /%{_lib}/libgcc_s.so.%{libgcc_s} $RPM_BUILD_ROOT%{versmainlibdir}/libgcc_s.so
chmod a+x $RPM_BUILD_ROOT/%{_lib}/libgcc_s.so.%{libgcc_s}
%if %{biarch}
%if %{build_primary_64bit}
rm -f $RPM_BUILD_ROOT/lib/libgcc_s*.so
ln -sf /lib/libgcc_s.so.%{libgcc_s} $RPM_BUILD_ROOT%{versmainlibdirbi32}/libgcc_s.so
ln -sf /lib/libgcc_s.so.%{libgcc_s} $RPM_BUILD_ROOT%{versmainlibdirbi32}/libgcc_s_32.so
chmod a+x $RPM_BUILD_ROOT/lib/libgcc_s.so.%{libgcc_s}
%else
# 32-bit biarch systems
rm -f $RPM_BUILD_ROOT/lib64/libgcc_s*.so
ln -sf /lib64/libgcc_s.so.%{libgcc_s} $RPM_BUILD_ROOT%{versmainlibdirbi64}/libgcc_s.so
ln -sf /lib64/libgcc_s.so.%{libgcc_s} $RPM_BUILD_ROOT%{versmainlibdirbi64}/libgcc_s_64.so
chmod a+x $RPM_BUILD_ROOT/lib64/libgcc_s.so.%{libgcc_s}
%endif
# LIBJAVA-DELETE-END
%endif
%if %{build_ada}
mv $RPM_BUILD_ROOT%{libsubdir}/adalib/lib*-*.so $RPM_BUILD_ROOT%{_libdir}
ln -sf %{_libdir}/$(cd $RPM_BUILD_ROOT%{_libdir} && echo libgnarl-*.so) $RPM_BUILD_ROOT%{libsubdir}/adalib/libgnarl.so
ln -sf %{_libdir}/$(cd $RPM_BUILD_ROOT%{_libdir} && echo libgnat-*.so) $RPM_BUILD_ROOT%{libsubdir}/adalib/libgnat.so
chmod a+x $RPM_BUILD_ROOT%{_libdir}/libgna*-*.so
%endif
#ln -sf gcc%{binsuffix} $RPM_BUILD_ROOT%{_prefix}/bin/cc%{binsuffix}
#ln -sf g++%{binsuffix}  $RPM_BUILD_ROOT%{_prefix}/bin/c++%{binsuffix}
rm -f $RPM_BUILD_ROOT%{_prefix}/bin/c++%{binsuffix}
#mkdir -p $RPM_BUILD_ROOT/lib
%if %{biarch}
%if %{build_primary_64bit}
# move around some libs that end in wrong paths
pushd .
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib
mkdir -p $RPM_BUILD_ROOT%{_libdir}/32
(cd $RPM_BUILD_ROOT%{_libdir}/32; tar cf - .) | (cd $RPM_BUILD_ROOT%{_prefix}/lib ; tar xf -)
rm -rf $RPM_BUILD_ROOT%{_libdir}/32
%if 0%{?!building_libjava:1}
ln -s %{_prefix}/lib $RPM_BUILD_ROOT%{_libdir}/32
rm -rf $RPM_BUILD_ROOT/%{_lib}/32
ln -s /lib $RPM_BUILD_ROOT/%{_lib}/32
%endif
popd
%else
# 32-bit biarch systems
# move around some libs that end in wrong paths
pushd .
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib64
mkdir -p $RPM_BUILD_ROOT%{_libdir}/64
(cd $RPM_BUILD_ROOT%{_libdir}/64; tar cf - .) | (cd $RPM_BUILD_ROOT%{_prefix}/lib64 ; tar xf -)
rm -rf $RPM_BUILD_ROOT%{_libdir}/64
%if 0%{?!building_libjava:1}
ln -s %{_prefix}/lib $RPM_BUILD_ROOT%{_libdir}/64
%endif
popd
%endif
%endif
# Remove some crap from the .la files:
for l in `find $RPM_BUILD_ROOT -name '*.la'`; do
  echo "changing $l"
  sed -e '/^dependency_libs/s| -L/usr/src/packages/BUILD/[^ ]*||g' \
      -e '/^dependency_libs/s| -L/usr/%{GCCDIST}/bin||g' \
      -e '/^dependency_libs/s|-lm \(-lm \)*|-lm |' \
      -e '/^dependency_libs/s|-L[^ ]* ||g' \
%if %{biarch}
%if %{build_primary_64bit}
      -e '/^libdir/s|%{_libdir}/32|%{_prefix}/lib|' \
      -e '/^libdir/s|lib64/\.\./||' \
%else
      -e '/^libdir/s|%{_libdir}/64|%{_prefix}/lib64|' \
%endif
%endif
      < $l  > $l.new
  mv $l.new $l
done
%if %{run_tests} 
mkdir ../testresults
cp `find . -name "*.sum"` ../testresults/
cp `find . -name "*.log"  \! -name "config.log" |grep -v 'acats/tests' ` ../testresults/
%endif
# Find C++ and Java headers
if test -d $RPM_BUILD_ROOT%{_prefix}/include/c++; then
find $RPM_BUILD_ROOT%{_prefix}/include/c++ \
  -regex ".*/\(org\|gcj\|gnu\|java\|javax\)" -prune \
  -o \( -type d -printf "%%%%dir " , \
        -printf "%{_prefix}/include/c++/%%P\n" \) > ../c++-headers
fi
# Remove files that we do not need to clean up filelist
rm -f $RPM_BUILD_ROOT%{_prefix}/bin/%{GCCDIST}-*
rm -rf $RPM_BUILD_ROOT%{libsubdir}/install-tools
rm -rf $RPM_BUILD_ROOT%{libsubdir}/install-tools
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libgcj.pc
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include/root
rm -f $RPM_BUILD_ROOT%{libsubdir}/include/curses.h
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include/asm-*
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include/linux
rm -f $RPM_BUILD_ROOT%{libsubdir}/include/ncurses.h
rm -f $RPM_BUILD_ROOT%{libsubdir}/include/stdio.h
rm -f $RPM_BUILD_ROOT%{libsubdir}/include/zutil.h
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include/X11
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include/bits
rm -f $RPM_BUILD_ROOT%{libsubdir}/include/obstack.h
rm -f $RPM_BUILD_ROOT%{libsubdir}/include/spe.h
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include/bits
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include/sys
rm -f  $RPM_BUILD_ROOT%{_infodir}/dir
rm -f $RPM_BUILD_ROOT%{_prefix}/bin/gccbug%{binsuffix}
%if %{build_libjava}
# gcj -static doesn't work properly anyway, unless using --whole-archive
# let's save the space instead.
find $RPM_BUILD_ROOT -name libgcj.a -o -name lib-gnu-java-awt-peer-gtk.a \
                     -o -name libgjsmalsa.a \
                     -o -name libgij.a -o -name libgcjawt.a | xargs rm -f
find $RPM_BUILD_ROOT -name libgcj.spec | xargs \
  sed -i -e 's/lib: /&%%{static:%%eJava programs cannot be linked statically}/'
mv $RPM_BUILD_ROOT%{libsubdir}/include/libffi/ffitarget.h $RPM_BUILD_ROOT%{_prefix}/include/
rm -r $RPM_BUILD_ROOT%{libsubdir}/include/libffi
%endif
%if %{build_java}
%if !%{build_libjava}
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/gcj-dbtool%{binsuffix}.1
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/gij%{binsuffix}.1
%if 0%{?building_libjava:1}
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/rmic%{binsuffix}.1
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/rmiregistry%{binsuffix}.1
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/jcf-dump%{binsuffix}.1
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/jv-convert%{binsuffix}.1
%endif
%endif
# fastjar is separate now
rm -f $RPM_BUILD_ROOT%{_prefix}/bin/fastjar%{binsuffix}
rm -f $RPM_BUILD_ROOT%{_prefix}/bin/grepjar%{binsuffix}
rm -f $RPM_BUILD_ROOT%{_infodir}/fastjar.info*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/fastjar%{binsuffix}.1
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/grepjar%{binsuffix}.1
%endif
rm -f $RPM_BUILD_ROOT%{_mandir}/man7/fsf-funding.7
rm -f $RPM_BUILD_ROOT%{_mandir}/man7/gfdl.7
rm -f $RPM_BUILD_ROOT%{_mandir}/man7/gpl.7
rm -f $RPM_BUILD_ROOT%{_libdir}/libiberty.a
%if %{build_nof}
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/nof/libiberty.a
%endif
%if %{biarch}
%if %{build_primary_64bit}
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/libiberty.a
%else
rm -f $RPM_BUILD_ROOT%{_prefix}/lib64/libiberty.a
%endif
%endif
# For building libjava only we need to delete other manpages
%if 0%{?building_libjava:1}
rm -f $RPM_BUILD_ROOT%{_prefix}/bin/addr2name.awk%{binsuffix}
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/gcj%{binsuffix}.1
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/gcjh%{binsuffix}.1
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/jv-scan%{binsuffix}.1
%endif
# Delete some files...
%if %{versionspecificlibs}
%if %{build_libjava}
rm $RPM_BUILD_ROOT%{_libdir}/logging.properties
rm $RPM_BUILD_ROOT%{_libdir}/security/classpath.security
rm $RPM_BUILD_ROOT%{_libdir}/security/libgcj.security
%endif
rm $RPM_BUILD_ROOT%{_infodir}/*.info*
rm $RPM_BUILD_ROOT%{_prefix}/share/locale/*/LC_MESSAGES/*.mo
%endif
# LIBJAVA-DELETE-BEGIN

%post info
%install_info --info-dir=%{_infodir} %{_infodir}/cpp.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/cppinternals.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/gcc.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/gccint.info.gz
%if %{build_fortran} 
%install_info --info-dir=%{_infodir} %{_infodir}/g77.info.gz
%endif
%if %{build_java}
%install_info --info-dir=%{_infodir} %{_infodir}/gcj.info.gz
%endif
%if %{build_ada}
%install_info --info-dir=%{_infodir} %{_infodir}/gnat-style.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/gnat_rm.info.gz
%install_info --info-dir=%{_infodir} --section="GNU Ada tools" --entry="* GNAT User's Guide: (gnat_ug_unx). GNAT User's Guide for Unix Platforms" %{_infodir}/gnat_ug_unx.info.gz
%endif

%postun info
%install_info_delete --info-dir=%{_infodir} %{_infodir}/cpp.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/cppinternals.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gcc.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gccint.info.gz
%if %{build_fortran}
%install_info_delete --info-dir=%{_infodir} %{_infodir}/g77.info.gz
%endif
%if %{build_java}
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gcj.info.gz
%endif
%if %{build_ada}
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gnat-style.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gnat_rm.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gnat_ug_unx.info.gz
%endif

%files
%defattr(-,root,root)
%dir %{_libdir}/gcc-lib
%dir %{_libdir}/gcc-lib/%{GCCDIST}
%dir %{libsubdir}
%dir %{libsubdir}/include
%if %{biarch}
%if %{build_primary_64bit}
# This link is essential for correct execution
%{_libdir}/32
/%{_lib}/32
%dir %{libsubdir}/32
%else
%{_libdir}/64
%dir %{libsubdir}/64
%endif
%endif
%if %{build_nof}
%dir %{libsubdir}/nof
%endif
%{_prefix}/bin/gcc%{binsuffix}
%{_prefix}/bin/gcov%{binsuffix}
%{libsubdir}/collect2
%{libsubdir}/include/README
%{libsubdir}/include/float.h
%{libsubdir}/include/iso646.h
%{libsubdir}/include/limits.h
%{libsubdir}/include/stdarg.h
%{libsubdir}/include/stdbool.h
%{libsubdir}/include/stddef.h
%{libsubdir}/include/syslimits.h
%{libsubdir}/include/unwind.h
%{libsubdir}/include/varargs.h
%ifarch ppc ppc64
%{libsubdir}/include/altivec.h
%{libsubdir}/include/ppc-asm.h
%endif
%ifarch ia64
%{libsubdir}/include/ia64intrin.h
%endif
%ifarch %arm
%{libsubdir}/include/mmintrin.h
%endif
%ifarch %ix86 x86_64
%{libsubdir}/include/mmintrin.h
%{libsubdir}/include/emmintrin.h
%{libsubdir}/include/pmmintrin.h
%{libsubdir}/include/xmmintrin.h
%endif
%{libsubdir}/specs
%versmainlib *crt*.o

%versmainlib libgcc*.a

%versmainlib libgcc_s*.so

%doc %{_mandir}/man1/gcc%{binsuffix}.1.gz
%doc %{_mandir}/man1/gcov%{binsuffix}.1.gz
%if %{separate_biarch}

%files -n gcc33%{separate_biarch_suffix}
%defattr(-,root,root)
%versbiarchlib *crt*.o

%versbiarchlib libgcc*.a

%versbiarchlib libgcc_s*.so

%endif
%if !%{versionspecificlibs}

%files locale
%defattr(-,root,root)
%{_prefix}/share/locale/*/LC_MESSAGES/gcc.mo
# FIXME - maybe this should go into a new package libstdc++-locale
%if 0%{!?build_for_base:1}
%{_prefix}/share/locale/*/LC_MESSAGES/libstdc++.mo
%endif
%endif

%files c++
%defattr(-,root,root)
%dir %{_libdir}/gcc-lib
%dir %{_libdir}/gcc-lib/%{GCCDIST}
%dir %{libsubdir}
%{_prefix}/bin/g++%{binsuffix}
%doc %{_mandir}/man1/g++%{binsuffix}.1.gz
%{libsubdir}/cc1plus

%files -n libstdc++33-devel -f c++-headers
%defattr(-,root,root)
%versmainlib libstdc++.a

%versmainlib libstdc++.so

%versmainlib libsupc++.a

%if %{separate_biarch}

%files -n libstdc++33-devel%{separate_biarch_suffix}
%defattr(-,root,root)
%versbiarchlib libstdc++.a

%versbiarchlib libstdc++.so

%versbiarchlib libsupc++.a

%endif

%files -n libstdc++33-doc
%defattr(-,root,root)
%doc libstdc++-v3/docs/html

%files -n libgcc33
%defattr(-,root,root)
%if %{versionspecificlibs}
%versmainlib libgcc_s.so.%{libgcc_s}

%else
# not versionspecificlibs
/%{_lib}/libgcc_s.so.%{libgcc_s}
%if %{build_nof}
%dir /lib/nof
/lib/nof/libgcc_s.so.%{libgcc_s}
%endif
%if %{biarch}
%if %{build_primary_64bit}
%if !%{separate_bi32}
/lib/libgcc_s.so.%{libgcc_s}
%endif
%else
%if !%{separate_bi64}
/lib64/libgcc_s.so.%{libgcc_s}
%endif
%endif
%endif
%endif
%if %{separate_bi64}

%files -n libgcc33-64bit
%defattr(-,root,root)
%if %{versionspecificlibs}
%versbiarchlib libgcc_s.so.%{libgcc_s}

%else
/lib64/libgcc_s.so.%{libgcc_s}
%endif
%endif
%if %{separate_bi32}

%files -n libgcc33-32bit
%defattr(-,root,root)
%if %{versionspecificlibs}
%versbiarchlib libgcc_s.so.%{libgcc_s}

%else
/lib/libgcc_s.so.%{libgcc_s}
%endif
%endif

%files -n libstdc++33
%defattr(-,root,root)
%if %{build_nof}
%dir %{noflibdir}
%endif
%mainlib libstdc++.so.*

%if %{separate_biarch}

%files -n libstdc++33%{separate_biarch_suffix}
%defattr(-,root,root)
%biarchlib libstdc++.so.*

%endif
%if %{build_fortran}

%files fortran
%defattr(-,root,root)
%{_prefix}/bin/g77%{binsuffix}
%{libsubdir}/f771
%{libsubdir}/include/g2c.h
%versmainlib libg2c.a

%versmainlib libg2c.so

%versmainlib libfrtbegin.a

%doc %{_mandir}/man1/g77%{binsuffix}.1.gz
%if %{separate_biarch}

%files fortran%{separate_biarch_suffix}
%defattr(-,root,root)
%versbiarchlib libg2c.a

%versbiarchlib libg2c.so

%versbiarchlib libfrtbegin.a

%endif

%files -n libg2c33
%defattr(-,root,root)
%mainlib libg2c.so.*

%if %{separate_biarch}

%files -n libg2c33%{separate_biarch_suffix}
%defattr(-,root,root)
%biarchlib libg2c.so.*

%endif
%endif
%if !%{versionspecificlibs}

%files info
%defattr(-,root,root)
%doc %{_infodir}/cpp.info*.gz
%doc %{_infodir}/cppinternals.info*.gz
%doc %{_infodir}/gcc.info*.gz
%doc %{_infodir}/gccint.info*.gz
%if %{build_fortran}
%doc %{_infodir}/g77.info*.gz
%endif
%if %{build_java}
%doc %{_infodir}/gcj.info*.gz
%endif
%if %{build_ada}
%doc %{_infodir}/gnat-style.info*gz
%doc %{_infodir}/gnat_rm.info*gz
%doc %{_infodir}/gnat_ugn_unw.info*gz
%endif
%endif

%files -n cpp33
%defattr(-,root,root)
%dir %{_libdir}/gcc-lib
%dir %{_libdir}/gcc-lib/%{GCCDIST}
%dir %{libsubdir}
%{_prefix}/bin/cpp%{binsuffix}
%{libsubdir}/cc1
#%{libsubdir}/specs
%doc %{_mandir}/man1/cpp%{binsuffix}.1.gz

%files objc
%defattr(-,root,root)
%{libsubdir}/cc1obj
%{libsubdir}/include/objc
%versmainlib libobjc.a

%versmainlib libobjc.so

%if %{separate_biarch}

%files objc%{separate_biarch_suffix}
%defattr(-,root,root)
%versbiarchlib libobjc.a

%versbiarchlib libobjc.so

%endif

%files -n libobjc33
%defattr(-,root,root)
%mainlib libobjc.so.*

%if %{separate_biarch}

%files -n libobjc33%{separate_biarch_suffix}
%defattr(-,root,root)
%biarchlib libobjc.so.*

%endif
%if %{build_objcp}

%files obj-c++
%defattr(-,root,root)
%{libsubdir}/cc1objplus
%endif
%if %{build_ada}

%files ada
%defattr(-,root,root)
%dir %{_libdir}/gcc-lib
%dir %{_libdir}/gcc-lib/%{GCCDIST}
%dir %{libsubdir}
%{_prefix}/bin/gnat*
%{_prefix}/bin/gpr*
%{libsubdir}/adainclude
%dir %{libsubdir}/adalib
%{libsubdir}/adalib/*.ali
%{libsubdir}/adalib/*.a
%{libsubdir}/adalib/libgnarl.so
%{libsubdir}/adalib/libgnat.so
%{libsubdir}/adalib/g-trasym.o
%{libsubdir}/gnat1

%files -n libada33
%defattr(-,root,root)
# Ada is not multilibbed
%{mainlibdir}/libgnarl-*.so
%{mainlibdir}/libgnat-*.so
%endif
%if %{build_java}

%files java
%defattr(-,root,root)
%{_prefix}/bin/gcj%{binsuffix}
%{_prefix}/bin/gcjh%{binsuffix}
%{_prefix}/bin/jcf-dump%{binsuffix}
%{_prefix}/bin/jv-scan%{binsuffix}
%{_prefix}/bin/jar%{binsuffix}
%{libsubdir}/jc1
%{libsubdir}/jvgenmain
%doc %{_mandir}/man1/gcj%{binsuffix}.1.gz
%doc %{_mandir}/man1/gcjh%{binsuffix}.1.gz
%doc %{_mandir}/man1/jcf-dump%{binsuffix}.1.gz
%doc %{_mandir}/man1/jv-scan%{binsuffix}.1.gz
%doc %{_mandir}/man1/jar%{binsuffix}.1.gz
%doc %{_mandir}/man1/jv-convert%{binsuffix}.1.gz
%doc %{_mandir}/man1/rmic%{binsuffix}.1.gz
%doc %{_mandir}/man1/rmiregistry%{binsuffix}.1.gz
%endif
# LIBJAVA-DELETE-END
%if %{build_java}
%if %{build_libjava}

%files -n libgcj33
%defattr(-,root,root)
%dir %{_libdir}/gcj-%{gcc_version}
%{_prefix}/share/java/libgcj-%{gcc_version}.jar
%{_libdir}/gcj-%{gcc_version}/classmap.db
%if !%{versionspecificlibs}
%dir %{_libdir}/security
%{_libdir}/security/classpath.security
%{_libdir}/security/libgcj.security
%endif
# We usually do not multilib libjava
%if %{biarch_libjava}
%mainlib libgcj.so.*

%mainlib libgij.so.*

%mainlib libgcjawt.so.*

%mainlib lib-gnu-java-awt-peer-gtk.so.*

# these libs may get dlopened by their .la/.so name
%mainlib libgcjawt.la

%mainlib libgcjawt.so

%mainlib lib-gnu-java-awt-peer-gtk.la

%mainlib lib-gnu-java-awt-peer-gtk.so

%else
%{mainlibdir}/libgcj.so.*
%{mainlibdir}/libgij.so.*
%{mainlibdir}/libgcjawt.so.*
%{mainlibdir}/lib-gnu-java-awt-peer-gtk.so.*
# these libs may get dlopened by their .la/.so name
%{mainlibdir}/libgcjawt.la
%{mainlibdir}/libgcjawt.so
%{mainlibdir}/lib-gnu-java-awt-peer-gtk.la
%{mainlibdir}/lib-gnu-java-awt-peer-gtk.so
%endif
%if !%{versionspecificlibs}
%{_libdir}/logging.properties
%endif

%files -n libgcj33-devel
%defattr(-,root,root)
%dir %{_prefix}/include/c++
%dir %{gxxinclude}
%{libsubdir}/include/jawt.h
%{libsubdir}/include/jawt_md.h
%{libsubdir}/include/jni.h
%{libsubdir}/include/jni_md.h
%{libsubdir}/include/jvmpi.h
%{gxxinclude}/gnu
%{gxxinclude}/gcj
%{gxxinclude}/java
%{gxxinclude}/javax
%{gxxinclude}/org
%{libsubdir}/include/gcj
%if %{biarch_libjava}
%mainlib libgcj.la

%mainlib libgcj.so

%mainlib libgcj.spec

%mainlib libgij.la

%mainlib libgij.so

%else
%{mainlibdir}/libgcj.la
%{mainlibdir}/libgcj.so
%{mainlibdir}/libgcj.spec
%{mainlibdir}/libgij.la
%{mainlibdir}/libgij.so
%endif

%files -n gcc33-gij
%defattr(-,root,root)
%{_prefix}/bin/rmic%{binsuffix}
%{_prefix}/bin/rmiregistry%{binsuffix}
%{_prefix}/bin/jv-convert%{binsuffix}
%{_prefix}/bin/gcj-dbtool%{binsuffix}
%{_prefix}/bin/gij%{binsuffix}
%doc %{_mandir}/man1/gij%{binsuffix}.1.gz
%doc %{_mandir}/man1/gcj-dbtool%{binsuffix}.1.gz
%doc %{_mandir}/man1/rmic%{binsuffix}.1.gz
%doc %{_mandir}/man1/rmiregistry%{binsuffix}.1.gz
%doc %{_mandir}/man1/jv-convert%{binsuffix}.1.gz

%files -n libffi33
%defattr(-,root,root)
%mainlib libffi.so.*

%if %{separate_biarch}

%files -n libffi33%{separate_biarch_suffix}
%defattr(-,root,root)
%biarchlib libffi.so.*

%endif

%files -n libffi33-devel
%defattr(-,root,root)
%{_prefix}/include/ffi.h
%{_prefix}/include/ffitarget.h
%mainlib libffi.so

%mainlib libffi.a

%mainlib libffi.la

%if %{separate_biarch}

%files -n libffi33-devel%{separate_biarch_suffix}
%defattr(-,root,root)
%biarchlib libffi.so

%biarchlib libffi.a

%biarchlib libffi.la

%endif
%endif
%endif
%if %{run_tests}

%files -n gcc33-testresults
%defattr(-,root,root)
%doc testresults/*.sum
%doc testresults/*.log
%endif

%changelog
* Tue Sep 15 2009 rguenther@suse.de
- fix obsoletes of compat-libstdc++ and compat-g77.
* Fri Sep 11 2009 ro@suse.de
- added baselibs.conf to build -x86 packages for ia64
* Thu Apr  9 2009 ro@suse.de
- buildfix: update check-build.sh again
* Fri Nov 21 2008 ro@suse.de
- update check-build.sh
* Wed Nov 12 2008 matz@suse.de
- Don't build gcc33-java either.
* Tue Nov  4 2008 rguenther@suse.de
- Fix libgcj33 build, only build the testresults package there.
* Tue Oct 28 2008 matz@suse.de
- Work-around rpm problem with commented file section parts.
* Mon Oct 27 2008 matz@suse.de
- Fix 32bit libraries to be symbol versioned.
- Fix s390 and s390x compile problems.
- Fix biarch generation on ppc and ppc64.
* Mon Oct 13 2008 rguenther@suse.de
- Verify libstdc++ is compatible with compat-libstdc++, add missing
  patch to bump libstdc++ patchlevel version.
- Add proper provides and obsoletes for compat-libstdc++ and compat-g77.
* Fri Jul 27 2007 matz@suse.de
- Update for SLES9 SP4, collecting fixes for these problems:
  [#161594], #166448, #191825, #194478, #201157.
* Tue Oct 31 2006 rguenther@suse.de
- Fix missing sibcalls with -g.  [#216246]
* Tue Apr 25 2006 rguenther@suse.de
- Allow building with newer GCC.  Backport fix for PR14348.
* Mon Feb 27 2006 matz@suse.de
- Fix miscompilation on s390.  [#148558]
* Wed Jan 11 2006 rguenther@suse.de
- Fix NRV optimization. [#141311]
* Mon Nov  7 2005 matz@suse.de
- Activate last change only on s390 and s390x.
* Mon Nov  7 2005 hare@suse.de
- Fix ICE in emit_move_insn_1 at expr.c:3506. [#132124]
* Wed Nov  2 2005 matz@suse.de
- Fix -minline-float-divide-max-throughput and hence -mtrap-int-div
  giving wrong results sometimes. [#116769]
* Mon Oct 17 2005 rguenther@suse.de
- Fix folding of (char)uchar >= 0 wrong-code bug by
  backporting fix for PR14669. [#102315]
* Fri Sep 30 2005 matz@suse.de
- Add -mtrap-int-div option and traps on div by zero. [#116769, #57953]
* Thu Apr 21 2005 matz@suse.de
- Fix ldouble format incompatibility with XLC. [#65883]
* Tue Apr  5 2005 schwab@suse.de
- Fix corruption of ia64 fp register file on unwind.
* Fri Apr  1 2005 matz@suse.de
- Fix invalid abort with __thread attributes. [#74176]
* Fri Apr  1 2005 matz@suse.de
- Fix seg-fault. [suse #50394]
* Mon Feb 28 2005 schwab@suse.de
- Fix more invalid and missing unwind info [#63363].
* Fri Oct 29 2004 schwab@suse.de
- Fix invalid unwind info [#47792].
* Mon Sep  6 2004 matz@suse.de
- ppc64: Disparage f->f moves.  ICE more unlikely now.  [#44478]
* Mon Sep  6 2004 matz@suse.de
- Add altivec-to-head.diff.gz [#41410]
  Backport of altivec.h and C++ support for altivec from mainline.
* Tue Jun 29 2004 matz@suse.de
- Limit the exported symbol list again as per discussion on
  gcc-patches (to those which are exported by gcc 3.4).
* Mon Jun 28 2004 matz@suse.de
- Export some more symbols in libstdc++ to make LSB happy.
  The patch should be on the 3.3 branch soon.
* Tue Jun 22 2004 matz@suse.de
- Fix variable tracking wrt location lists for DW_AT_frame_base.
  Noticable when debugging on s390 (josef).
- Improve operator>>(basic_istream<>&, basic_string<>&) 2-3x (paolo).
* Mon Jun 21 2004 schwab@suse.de
- Fix unwinding through noreturn functions [#41853].
* Wed Jun  9 2004 meissner@suse.de
- Fix using custom allocators for basic_strings in libstdc++. #40711
* Wed Jun  2 2004 meissner@suse.de
- Fixed altivec vs integer problems by merging the
  mainline altivec.h. LTC#8908,#8961 SUSE#41341,#41409.
* Wed Jun  2 2004 aj@suse.de
- Fix PR c/15549: Miscompilation using boolean type in inlined
  function.
* Thu May 27 2004 aj@suse.de
- apply missing thunks for last patch.
* Wed May 26 2004 aj@suse.de
- Fix #41218: use of std::getline produces an undefined reference
  to std::basic_ios::_M_setstate at link time.
  This changes also libstdc++ version to 5.0.6.
* Tue May 25 2004 aj@suse.de
- Fix PR libstdc++/11352.
- Fix LSB 2.0 testsuite error in libstdc++.
* Tue May 25 2004 aj@suse.de
- Fixes for correct handling of -mcpu on PPC.
* Mon May 24 2004 aj@suse.de
- Fixes for PPC Altivec.
* Fri May 21 2004 matz@suse.de
- Add -fno-eliminate-unused-debug-types for lkcd.
* Wed May 12 2004 aj@suse.de
- Fix further Altivec corner cases for PPC.
* Tue May 11 2004 aj@suse.de
- Fix PPC Altivec problems.
* Sat May  8 2004 aj@suse.de
- Fix structure modification miscompilation on x86-64.
  [# 39378]
- Update regparm for AMD64 to use less memory.
* Wed May  5 2004 aj@suse.de
- Fix wrong code due to overlapping stack temporaries on s390
  [GCC bug #15054].
* Sun May  2 2004 aj@suse.de
- Speed up libstdc++ string and locale functions.
* Fri Apr 30 2004 aj@suse.de
- Fix dwarf2 debug output on PPC.
- Fix PPC Altivec bugs.
- Fixes for variable tracking.
* Mon Apr 26 2004 aj@suse.de
- Speed up libstdc++ string parsing.
* Sun Apr 25 2004 aj@suse.de
- Properly fix vartracking bug.
- Fix an ICE.
- Speed up libstdc++ string handling.
* Wed Apr 21 2004 aj@suse.de
- Revert last variable tracking patch for now, it caused some
  endless loops.
* Tue Apr 20 2004 aj@suse.de
- Fix bug in variable tracking.
- Fix ICE noticed on PowerPC.
* Sun Apr 18 2004 aj@suse.de
- Fix miscompilation noticed on AMD64 [#39072].
- Fix Altivec stack layout bug on PowerPC [GCC bug 14715].
* Sat Apr 17 2004 schwab@suse.de
- Pacify autobuild.
* Mon Apr  5 2004 aj@suse.de
- Fix hidden support.
* Sat Apr  3 2004 aj@suse.de
- Save log files for test runs also.
- Improve PowerPC5 scheduler.
* Wed Mar 31 2004 aj@suse.de
- Do not use --with-cpu=powerpc64 on PPC64.
* Tue Mar 30 2004 schwab@suse.de
- Fix missing header in boehm-gc.
* Tue Mar 30 2004 aj@suse.de
- Fix #36958 in a different and conservative way.
- Fix altivec ICE on PPC [GCC #11591].
- Fix altivec problems on PPC.
* Mon Mar 29 2004 aj@suse.de
- Remove patch pr5293, it is already in the hammer-diff.
* Sat Mar 27 2004 aj@suse.de
- Revert patch for #36958, it causes ICEs on i386.
* Sat Mar 27 2004 aj@suse.de
- Fix miscompilation [#36958].
- Fix PPC biarch setup.
* Wed Mar 24 2004 aj@suse.de
- Fix hang in regparam patch.
- Fix regparam patch so that it works only on AMD64.
- Build libstdc++ documentation [#36263].
* Sat Mar 20 2004 aj@suse.de
- Disable regparam for PPC also.
- Fix libstdc++ path change for PPC.
* Fri Mar 19 2004 meissner@suse.de
- disable regparam patch on ppc64, it breaks glibc unwinding
  somehow.
* Fri Mar 19 2004 aj@suse.de
- Move loop unroller patch into hammer-patch.
- Warn about using of lvalues as cast.
- Fix libstdc++ libdir path [#36358].
* Thu Mar 18 2004 aj@suse.de
- Add loop unroller improvements.
* Mon Mar 15 2004 aj@suse.de
- Fix ICE on s390.
* Fri Mar 12 2004 aj@suse.de
- Update regparm patch to fix an ICE.
* Fri Mar 12 2004 aj@suse.de
- Fix bug in ia64 libffi.
* Fri Mar 12 2004 ro@suse.de
- make sure macro build_nof is defined
* Thu Mar 11 2004 aj@suse.de
- Add libgcc_s_64 for powerpc64.
* Mon Mar  8 2004 aj@suse.de
- Build without checking.
* Mon Mar  8 2004 aj@suse.de
- Fix breakage of LDBL_MAX patch.
- Speedup variable tracking.
- Fix s390 ICE with string expanders.
- Update patch for PR11983.
- Use less memory while compiling.
* Fri Mar  5 2004 aj@suse.de
- Fix ICEs on PPC.
- Fix LDBL_MAX on PPC64.
- Fix race condition with profile generation.
* Thu Mar  4 2004 aj@suse.de
- Fix ICE compling bochs on i386.
- Generate warning on AMD64 for -mcmodel=kernel without -mno-red-zone.
- Update for ia32e.
- Fix some gcj bugs.
* Tue Mar  2 2004 aj@suse.de
- Fix package list.
* Fri Feb 27 2004 aj@suse.de
- Fix permissions for gcc-locale.
* Fri Feb 27 2004 aj@suse.de
- Split up a gcc-locale package.
- Fix spec file.
* Wed Feb 25 2004 aj@suse.de
- Add warnings about regparm usage.
- Fix PPC problems.
* Sat Feb 21 2004 aj@suse.de
- Fix various PPC problems.
- Fix ICE compiling kernel with -march=k6.
- Fix warnings.
* Thu Feb 19 2004 aj@suse.de
- Fix ICE building glibc on PPC.
* Sun Feb 15 2004 aj@suse.de
- Update from 3.3.3 release.
* Thu Feb 12 2004 aj@suse.de
- Disable nof libraries on PPC
- Use altivec ABI for PPC
* Wed Feb 11 2004 aj@suse.de
- Update from hammer-branch:
  * Fixes for PPC (objc, java, variable tracking)
  * Use libdir for gcc-lib path.
* Mon Feb  9 2004 aj@suse.de
- Update from hammer-branch:
  * Reduce memory usage of GCC and make GCC run faster
  * Fixes for PPC
* Mon Feb  9 2004 aj@suse.de
- Fix ia64 bootstrap problem
- Fixes for variable tracking.
* Thu Feb  5 2004 aj@suse.de
- Further PPC fixes.
- Fix problem in reload hitting some large s390 code.
* Wed Feb  4 2004 aj@suse.de
- Fix build problems on ppc
* Mon Feb  2 2004 aj@suse.de
- Update from hammer-branch:
  * Fix inline problems.
  * Further PPC patches.
* Thu Jan 29 2004 aj@suse.de
- Update from hammer-branch:
  * Fix merge problem on s390
  * Reduce alignment of string constants on x86/x86-64
  * Further PPC VMX patches.
* Wed Jan 28 2004 aj@suse.de
- Merge from hammer-branch:
  * merge with GCC 3.3.3 CVS
  * fix ppc64 build
  * build 32-bit nof libraries
  * PPC VMX support
  * Produce better diagnostics when ICE occurs
  * Allow large stack frames on s390x
* Mon Jan 26 2004 aj@suse.de
- fixed build after ppc merges
* Wed Jan 21 2004 aj@suse.de
- Merge from hammer-branch:
  * fixes and merges for PPC by IBM
  * fix build on ia64
* Mon Jan 19 2004 aj@suse.de
- Fix build on alpha.
* Thu Jan 15 2004 aj@suse.de
- Fix GtkAda compilation on i386.
- Integrate PPC patches.
- Fixes for variable tracking in complex functions.
* Thu Jan 15 2004 schwab@suse.de
- Create new subpackage boehm-gc.
* Tue Jan 13 2004 aj@suse.de
- Fix djuvlibre non-compilation.
- Fix ia64 miscompilation with trapping instructions.
* Mon Jan 12 2004 aj@suse.de
- Merge from hammer-branch with bug fixes
* Thu Jan  8 2004 aj@suse.de
- Merge from hammer-branch:
  * Update for variable tracking
  * ia64 unwind update
* Sun Jan  4 2004 aj@suse.de
- Merge from hammer-branch:
  * Updates for inlining to fix bug miscompiling tripwire
  * Update for variable tracking
* Wed Dec 31 2003 aj@suse.de
- Fix inlining of memcpy with -Os on x86.
- Fix ICE in make.
- Fix Java memory hog.
* Sat Dec 20 2003 aj@suse.de
- Fix previous calls.c patch.
* Thu Dec 18 2003 aj@suse.de
- Merge with GCC 3.3 branch.
- Update regparam patch.
* Tue Dec 16 2003 aj@suse.de
- change config-dist.sh to check-build.sh.
- Update powerpc patches.
* Sun Dec 14 2003 aj@suse.de
- Fix a number of ICEs.
- Fix ia64 libunwind code.
* Thu Dec 11 2003 aj@suse.de
- Update regparm patch.
* Tue Dec  9 2003 aj@suse.de
- Fix some ICEs due to an off-by-one error.
* Mon Dec  8 2003 aj@suse.de
- Fix -minline-all-stringops.
* Sat Dec  6 2003 aj@suse.de
- Further medium model fixes for AMD64 by Jan Hubicka.
* Fri Dec  5 2003 aj@suse.de
- Further medium model fixes by Jan Hubicka.
- Add regparam patch from Josef Zlomek.
- Enable aliasing patch since miscompilation of ia64 kernel is fixed.
* Thu Dec  4 2003 aj@suse.de
- Merge from hammer-branch:
  * Fixes for medium model on amd64
  * fix an ICE on IPF
  * fixes for passing large arguments
* Mon Dec  1 2003 aj@suse.de
- Fix medium model on amd64.
* Thu Nov 27 2003 schwab@suse.de
- Disable broken aliasing patch again.
* Thu Nov 27 2003 aj@suse.de
- Fix vrp memory problems.
* Wed Nov 26 2003 aj@suse.de
- Fix PR 13041 (i386 kernel miscompilation).
- Merge from hammer-branch with fixes for PNI support.
* Tue Nov 25 2003 aj@suse.de
- Update PPC patch.
- Merge from hammer-branch with:
  * fixes for medium model on amd64.
  * fixes for s390.
* Mon Nov 17 2003 meissner@suse.de
- Do not pack 64bit libraries for ppc32, they will come
  from baselibs-xxbit. Do it the same way as sparc32.
* Fri Nov 14 2003 schwab@suse.de
- Disable broken aliasing patch.
* Tue Nov 11 2003 aj@suse.de
- Merge with current hammer-branch:
  * Integrates a number of local patches
  * Fixes for vartracking on IPF and x86.
* Fri Nov  7 2003 aj@suse.de
- Fix tls miscompiliation in i386 backend.
- Fix vartracking.
* Thu Nov  6 2003 schwab@suse.de
- Fix generation of location labels.
* Sun Nov  2 2003 aj@suse.de
- Fix ia64 intrinsics.
* Wed Oct 29 2003 schwab@suse.de
- Enable Ada on mips.
* Sun Oct 26 2003 aj@suse.de
- Fix build on AXP.
- Speed up VRP.
* Thu Oct 23 2003 aj@suse.de
- Add tsp-reordering.
* Tue Oct 21 2003 aj@suse.de
- Update to current PPC patchset.
- Fix S390 merge error.
* Sun Oct 19 2003 aj@suse.de
- Merge with GCC 3.3.2.
- Update vartracking to fix ICE on s390 properly.
* Fri Oct 17 2003 aj@suse.de
- Fix ICE on s390.
- Enhance config-dist test so that PowerPC will only be build
  on a 64-bit machine.
* Wed Oct 15 2003 meissner@suse.de
- Readded lost ppc64-nostartfileprefix.patch
* Tue Oct 14 2003 aj@suse.de
- Build as non-root.
* Mon Oct 13 2003 aj@suse.de
- Update from hammer-branch:
  * Add variable tracking for better debugging.
  * Merge from 3.3 branch.
* Sat Oct 11 2003 adrian@suse.de
- enable java for mips
* Thu Oct  2 2003 kukuk@suse.de
- Enable biarch support on SPARC
* Tue Sep 30 2003 aj@suse.de
- Update powerpc patches.
* Mon Sep 29 2003 aj@suse.de
- Fix spec file.
* Mon Sep 29 2003 aj@suse.de
- Update hammer-branch to really include note.GNU-stack patch.
* Fri Sep 26 2003 aj@suse.de
- Generate note.GNU-stack sections to support non-executable stack.
- Enable unit-at-a-time.
* Thu Sep 25 2003 aj@suse.de
- Fix ICE on s390.
* Mon Sep 22 2003 aj@suse.de
- Fix wrong mindf pattern. (#31434)
* Fri Sep 19 2003 kukuk@suse.de
- gcc should obsolete egcs
- Add c_preprocessor back to cpp
* Wed Sep 17 2003 aj@suse.de
- Remove gcc33-sched-ebb-cselib, it caused memory corruption when
  building some packages.
* Mon Sep 15 2003 aj@suse.de
- Fix PR12223.
* Tue Sep  9 2003 aj@suse.de
- Add PNI support.
* Mon Sep  8 2003 aj@suse.de
- Fix GCC Bugs 11852, 12181 (from GCC 3.3 branch)
* Sun Sep  7 2003 aj@suse.de
- Fix GCC Bugs 12163, 12146, 12070, 9862, 10962, 11867
  (from GCC 3.3 branch)
* Fri Sep  5 2003 aj@suse.de
- Fix GCC Bugs 5293,11207,11928 (from GCC 3.3 branch)
- Fix wrong placement of note label (miscompiled askpass)
* Thu Sep  4 2003 aj@suse.de
- Fix handling of long branches on PPC.
* Wed Sep  3 2003 aj@suse.de
- Fix optimization regression in loop optimization (by Michael Matz).
- Strip libgcj.a.
* Mon Sep  1 2003 aj@suse.de
- Add really fix for ia64 swig miscompilation.
* Sat Aug 30 2003 aj@suse.de
- Fix bug in gcse with volatiles which miscompiled the Linux kernel.
* Fri Aug 29 2003 aj@suse.de
- Fix folding of some and special case which miscompiled OOo. [#29516]
- Fix builtin_expect.
- Move some patches into CVS.
* Tue Aug 26 2003 aj@suse.de
- Reduce resource usage while bootstrap.
- Workaround SPARC bootstrap problem.
* Mon Aug 25 2003 aj@suse.de
- Fix bugs in unit-at-a-time.
- Fix bootstrap problem on ia64.
- Use -O2 on s390 for bootstrap.
* Sun Aug 24 2003 aj@suse.de
- Disable unit-at-a-time.
* Sat Aug 23 2003 aj@suse.de
- Fix ICE on powerpc.
- Fix miscompilation of swig on IPF.
* Thu Aug 21 2003 aj@suse.de
- Enable unit-at-a-time again.
- Fix problem with latest patch.
* Wed Aug 20 2003 aj@suse.de
- Fix miscompilation of icu and OpenOffice.
- Fix ICE in latest unit-at-a-time patch.
* Tue Aug 19 2003 aj@suse.de
- revert patch to stop g++ producing errors instead of warnings.
* Tue Aug 19 2003 aj@suse.de
- Fix bug in last unit-at-a-time change.
- Better optimize shifts into instructions.
- Provide bug reporting addresses.
- Fix an ICE on i386.
* Mon Aug 18 2003 aj@suse.de
- Fix bug in unit-at-a-time with renaming of certain identifiers.
* Fri Aug 15 2003 aj@suse.de
- Enable unit-at-a-time again.
- Fix kernel compile problem.
* Thu Aug 14 2003 aj@suse.de
- Update to GCC 3.3.1.
* Wed Aug 13 2003 aj@suse.de
- Fix ICE compiling xmms-plugin.
- Disable unit-at-a-time in all optimization levels.
- Really fix GCSE bug for gperf.
* Mon Aug 11 2003 aj@suse.de
- Update aliasing patch.
- Fix GCSE bugs that miscompiled gperf.
- Fix SMP race during build.
* Fri Aug  8 2003 aj@suse.de
- Some fixes for unit-at-a-time on i386.
- Disable unit-at-a-time by default for now.
* Wed Aug  6 2003 aj@suse.de
- Add some aliasing optimizations.
* Mon Aug  4 2003 schwab@suse.de
- Add fix for PR11693.
* Mon Aug  4 2003 aj@suse.de
- Remove Pascal again, it is not supported on enough platforms.
- Add GCSE patch to optimize some constants better.
- Add new option -fpromote-prototypeless-arguments to work around bugs
  with vararg handling.
* Sat Aug  2 2003 aj@suse.de
- Fix update of liveness information to converge better.
- Fix typeinfo C++ failure with unit-at-a-time.
- Disable conversions.diff since it miscompiles perl at least.
* Fri Aug  1 2003 aj@suse.de
- Fix unit-at-a-time typo that optimized away too much.
* Thu Jul 31 2003 aj@suse.de
- Fix bootstrap failure.
* Wed Jul 30 2003 aj@suse.de
- Fix ICE during kernel compilation.
* Wed Jul 30 2003 aj@suse.de
- Fix problems with C++ and unit-at-a-time.
* Tue Jul 29 2003 aj@suse.de
- Fix C++ unit-at-a-time bugs to compile kdelibs again.
* Mon Jul 28 2003 aj@suse.de
- Fix bugs in unit-at-a-time.
* Fri Jul 25 2003 aj@suse.de
- Fix ICE in double conversions.
* Wed Jul 23 2003 aj@suse.de
- Fix unit-at-a-time bugs.
* Tue Jul 22 2003 schwab@suse.de
- Fix use of head/tail.
* Mon Jul 21 2003 aj@suse.de
- Enable unit-at-a-time for C++.
* Fri Jul 18 2003 aj@suse.de
- Fix ICE while inlining.
* Fri Jul 18 2003 aj@suse.de
- Fixed version of conversions.diff enabled.
- Avoid endless loop in vrp.
* Thu Jul 17 2003 aj@suse.de
- Disable conversions.diff for now since it cases ICEs.
* Wed Jul 16 2003 aj@suse.de
- Fix ICE in c-decl.
* Wed Jul 16 2003 meissner@suse.de
- remove the relative search path from STARTFILE_PREFIX_SPEC,
  so libtool on ppc64 will link files again.
* Tue Jul 15 2003 aj@suse.de
- Fix building on ppc64.
- Fix ia64 miscompilation of apache.
- Update to current hammer branch.
- Optimize C++ thunks.
* Sun Jul  6 2003 meissner@suse.de
- Updated ppc64 patch.
- Enabled biarch and fixed file lists for ppc64.
- Pass *CFLAGS to "make bootstrap", so we get -mminimal-toc inside
  for ppc64.
* Sat Jul  5 2003 aj@suse.de
- Fix problems with loop discovery code.
* Fri Jul  4 2003 aj@suse.de
- Update to current hammer branch with support for z990.
* Wed Jul  2 2003 aj@suse.de
- Fix bootstrap problem on x86-64.
* Mon Jun 30 2003 meissner@suse.de
- Added patch to fix PR 9745, miscompilation of libmcrypt on ppc32
  and sparc.
* Wed Jun 25 2003 aj@suse.de
- Update from CVS to bootstrap again on AMD64 and ia64.
* Wed Jun 25 2003 aj@suse.de
- Update to current CVS version.
* Sat Jun 21 2003 aj@suse.de
- Integrate bug fixes for compilation bugs and ICEs.
* Fri Jun 13 2003 aj@suse.de
- Add new ppc64 patch.
- Update to current GCC 3.3.1 CVS version.
* Thu Jun 12 2003 aj@suse.de
- Package missing directories.
* Wed Jun 11 2003 aj@suse.de
- Include Pascal (GPC) support.
- Fix x86 TLS bug.
* Mon Jun  9 2003 aj@suse.de
- Add VPR pass.
* Thu Jun  5 2003 kukuk@suse.de
- Fix next dangling symlink
* Thu Jun  5 2003 kukuk@suse.de
- Fix dangling symlink
* Wed Jun  4 2003 aj@suse.de
- Fix combiner problems.
- make pathlength configurable.
- Update to current hammer-branch.
* Fri May 30 2003 aj@suse.de
- Build protoize.
* Thu May 22 2003 aj@suse.de
- Fix bootstrap failure on some i386 setups.
- Optimize sibcalls better.
* Tue May 20 2003 aj@suse.de
- Update to GCC 3.3 release.
* Sat May 17 2003 aj@suse.de
- Further fixes to package list.
* Fri May 16 2003 aj@suse.de
- Update to GCC 3.3 release.
- Fix s390 ICE.
- Fix package list.
* Mon May 12 2003 schwab@suse.de
- Enable shared gnat library on ia64.
* Fri May  9 2003 aj@suse.de
- Merge from 3.3 branch.
- Fix memory calculation.
* Wed May  7 2003 aj@suse.de
- Merge from 3.3 branch.
* Mon May  5 2003 aj@suse.de
- Fix for unwinding.
* Thu May  1 2003 aj@suse.de
- Update to current 3.3 branch.
* Wed Apr 30 2003 aj@suse.de
- Use i586 as default architecture for the x86 family (instead of
  i486).
* Tue Apr 29 2003 aj@suse.de
- Define __amd64__.
* Fri Apr 25 2003 aj@suse.de
- Update from 3.3 branch.
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Apr 22 2003 schwab@suse.de
- Fix quoting when generating /lib/cpp.
* Tue Apr 22 2003 aj@suse.de
- Readd /lib/cpp change.
* Mon Apr 21 2003 aj@suse.de
- Update from 3.3 version.
* Sat Apr 19 2003 schwab@suse.de
- Make /lib/cpp a script that passes -xc to cpp.
* Wed Apr 16 2003 aj@suse.de
- Update to current 3.3 version, work around ia64
  code generation bug.
* Sat Apr 12 2003 aj@suse.de
- Update to current 3.3 version.
* Fri Apr 11 2003 aj@suse.de
- Fix bug in profiling code.
* Thu Apr 10 2003 aj@suse.de
- Update to current 3.3 version.
* Mon Apr  7 2003 aj@suse.de
- Fix bug in reload.
* Mon Apr  7 2003 aj@suse.de
- Use profiledbootstrap.
* Sat Apr  5 2003 aj@suse.de
- Include some AMD64 optimizations.
- Fix powerpc build failure.
* Tue Apr  1 2003 aj@suse.de
- Add updated red zone patch.
* Tue Apr  1 2003 aj@suse.de
- Do not use red zone patch, it breaks i686 compilation.
* Mon Mar 31 2003 aj@suse.de
- Revert optimization that miscompiled packages.
* Sat Mar 29 2003 aj@suse.de
- Update from GCC 3.3 mainline.
- Update powerpc64 patches.
* Wed Mar 26 2003 aj@suse.de
- Update from hammer branch.
- Package libstdc++ documentation (#21810).
* Thu Mar 20 2003 aj@suse.de
- Fix memory corruption by Garbage collector.
- Fix 32-bit libffi.
* Wed Mar 19 2003 aj@suse.de
- Update to current 3.3 version.
- Fix ia64 bootstrap failure.
* Mon Mar 17 2003 aj@suse.de
- Set _LP64/__LP64__ for x86-64.
* Fri Mar 14 2003 aj@suse.de
- Allow inline inline.
- Fix hexadecimal parsing.
- Fix flt method for x86-64.
- Partial merge from 3.3 branch.
* Wed Mar 12 2003 aj@suse.de
- Update to current 3.3 branch.
* Wed Mar 12 2003 aj@suse.de
- Do not pack man pages that conflict with Java package.
- Fix la path (#24837) completly.
* Tue Mar 11 2003 aj@suse.de
- Revert builtins patch that broke lots of programs.
- Fix conversions.
* Mon Mar 10 2003 aj@suse.de
- Update from current 3.3 version.
- Fix .la files to not contain .. (#24837).
* Sun Mar  9 2003 aj@suse.de
- Fix ICE on i386.
- Do not build in source dir.
- Fix possible memory corruption in callgraph.
* Sat Mar  8 2003 aj@suse.de
- Fix C++ errors in compiling galeon/mozilla.
* Fri Mar  7 2003 aj@suse.de
- Fix i386 ICE.
* Fri Mar  7 2003 aj@suse.de
- Fix two C++ ICEs.
* Wed Mar  5 2003 aj@suse.de
- Update from 3.3 branch.
- Install unwind.h.
- Fix ABI change.
* Tue Mar  4 2003 aj@suse.de
- Fix x86 and x86-64 code generation problems.
- Fix feedback driven optimizations.
* Mon Mar  3 2003 aj@suse.de
- Fix passing of 128-bit values for x86-64.
* Fri Feb 28 2003 aj@suse.de
- Improve inline heuristics.
- Add nof multilib libraries for powerpc.
- Fix install-info.
* Fri Feb 28 2003 aj@suse.de
- Update from 3.3 mainline.
* Sun Feb 23 2003 aj@suse.de
- Update from 3.3 mainline.
- Fix folding of floats/doubles.
* Thu Feb 20 2003 aj@suse.de
- Fix error with complex conversion.
- Improve constant folding.
* Wed Feb 19 2003 aj@suse.de
- Fix PR9707 (openoffice miscompilation).
* Tue Feb 18 2003 aj@suse.de
- Update to current version.
* Mon Feb 17 2003 aj@suse.de
- Use gcc 3.3 as version.
* Sat Feb 15 2003 olh@suse.de
- remove libstdc++-flags_to_pass.patch and pass-slibdir.patch
  use new DESTDIR feature
* Wed Feb 12 2003 aj@suse.de
- Fix loop unrolling.
* Tue Feb 11 2003 aj@suse.de
- Fix inlining.
* Mon Feb 10 2003 aj@suse.de
- Fix ICE on i386.
- Incorporate fixes from branch.
* Fri Feb  7 2003 aj@suse.de
- Update to current version.
* Thu Feb  6 2003 aj@suse.de
- Use install-info for info pages.
* Thu Feb  6 2003 pthomas@suse.de
- cpp from 3.3 up needs cc1, so move cc1 to cpp sub package.
* Mon Feb  3 2003 aj@suse.de
- Update to current version.
* Sat Feb  1 2003 aj@suse.de
- Update to current CVS.
* Fri Jan 31 2003 aj@suse.de
- Add unit-at-a-time optimization (disabled by default).
* Thu Jan 30 2003 aj@suse.de
- Fix last patch.
* Wed Jan 29 2003 aj@suse.de
- Fix bootstrap on pa.
* Tue Jan 28 2003 schwab@suse.de
- Enable Ada on s390[x].
* Tue Jan 28 2003 aj@suse.de
- Disable biarch for sparc.
- Remove unit at a time optimization.
- Increase GC defaults for faster compilation.
- Enable java interpreter for x86-64.
* Mon Jan 27 2003 aj@suse.de
- Fix ix86_split_long_move patch.
- Fix use of .init_array.
- Add patch for unit at a time optimization.
- Update to current version.
* Tue Jan 21 2003 sf@suse.de
- added patch for pr7154 <jh@suse.cz>
- added patch tpecheck.patch <zlomekj@suse.cz>
* Tue Jan 21 2003 sf@suse.de
- added ix86_split_long_move.patch
* Mon Jan 20 2003 sf@suse.de
- fix in cp_parser_dependent_type_p
  (Josef Zlomek <zlomj9am@artax.karlin.mff.cuni.cz> )
- fix for SSE cmov splitter (<jh@suse.cz>
* Mon Jan 20 2003 sf@suse.de
- fix PR c++/9342
* Sat Jan 18 2003 aj@suse.de
- Fix PR9358.
* Wed Jan 15 2003 aj@suse.de
- Fix package list.
* Mon Jan 13 2003 aj@suse.de
- Update to current hammer branch.
- Fix two c++ bugs.
* Sat Jan 11 2003 aj@suse.de
- Update to current hammer branch.
- Remove cyclic dependency for java.
* Wed Jan  8 2003 aj@suse.de
- Update to current hammer branch.
- Fix package lists.
* Wed Jan  1 2003 aj@suse.de
- Update to current CVS.
* Fri Dec 13 2002 olh@suse.de
- fix broken parellel build calculation
* Fri Dec 13 2002 ro@suse.de
- update to hammer branch of 20021207
* Sat Dec  7 2002 olh@suse.de
- dont build ada on ppc, dont fail on lowmemory systems
* Wed Dec  4 2002 aj@suse.de
- Fix several C++ ICEs.
- Fix ICE on x86-64.
* Tue Dec  3 2002 aj@suse.de
- Fix several miscompilations on i586 and x86-64.
- Fix internal compiler errors on i586 and x86-64.
* Sun Dec  1 2002 aj@suse.de
- Fix bootstrap on i386.
- Fix cmov internal compiler errors.
* Fri Nov 29 2002 aj@suse.de
- Add some fixes for x86-64.
* Wed Nov 27 2002 aj@suse.de
- Another update from hammer branch with a fixed version.c name to identify
  the branch correctly.
- Fix building of java for hppa.
* Wed Nov 27 2002 aj@suse.de
- Update to hammer branch from 2002-11-25.
* Tue Nov 19 2002 aj@suse.de
- Update to hammer branch from 2002-11-18.
* Wed Nov 13 2002 aj@suse.de
- Update to hammer branch from 2002-11-13.
* Mon Nov 11 2002 aj@suse.de
- Fix SSE bug so that glibc builds.
* Sun Nov 10 2002 ro@suse.de
- added another fix to build ada
* Sun Nov 10 2002 aj@suse.de
- Update to current CVS version.
* Thu Nov  7 2002 aj@suse.de
- Update to GCC 3.3 CVS.
* Tue Oct 22 2002 kukuk@suse.de
- gcc-objc needs libobjc [Bug #21182]
* Wed Oct  2 2002 aj@suse.de
- Update to gcc 3.2.1 CVS version from 2002-10-02.
- Add support for attribute visibility.
- Add support for __thread keyword.
- Update to new ppc patch.
- Add fix for new register allocator.
* Tue Sep 24 2002 schwab@suse.de
- Enable Ada on s390/s390x.
* Wed Sep 18 2002 pthomas@suse.de
- Append (SuSE) to version string.
* Thu Sep  5 2002 ro@suse.de
- biarch "on" for sparc
* Tue Sep  3 2002 aj@suse.de
- Link libgnat again against libiberty.
* Sun Sep  1 2002 aj@suse.de
- Fix ada problem with convert_address
- Fix tail padding patch.
- Fix sparc biarch problems (by Thorsten Kukuk)
- Fix x86-64 objective nil_method implementation.
* Sun Sep  1 2002 bk@suse.de
- Correct startfile_prefix_spec check in biarch-startfile diff
- Add biarch patch for s390x and fix libffi for biarch
* Sat Aug 31 2002 kukuk@suse.de
- Disable "strip-dotdot.patch" on SPARC
- Add biarch patch for SPARC
- Fix biarch support for SPARC
* Thu Aug 29 2002 aj@suse.de
- Fix copying of too many bytes for C++.
- Fix bug in renaming of data symbols.
- Add patch to optionally warn about known C++ ABI problems
- Fix objective C problems and testsuite failures.
- Fix ada problems on x86-64.
- Link ada correctly.
* Sun Aug 25 2002 schwab@suse.de
- Update ppc64 patch.
- Enable Ada on x86-64.
- Workaround missing TI mode support by not building gnatchop and gnatmake
  on x86-64.
* Fri Aug 23 2002 aj@suse.de
- Fix returning of structs on x86-64.
* Fri Aug 23 2002 meissner@suse.de
- Do not use the lib suffixes in cross compile build, just use /lib/.
- Use include/c++/<gccver>/ in cross compile build.
* Thu Aug 22 2002 aj@suse.de
- Fix prefetch on x86-64.
* Wed Aug 21 2002 schwab@suse.de
- Update ppc64 patch.
* Wed Aug 21 2002 aj@suse.de
- Fix copying of arguments for functions.
- Fix ICE with nested extern inline functions.
- Fix copying of structs on x86 (GCC PR 7591)
* Fri Aug 16 2002 schwab@suse.de
- Fix libjava makefile to pass flags.
- Readd 32-bit java libs.
* Fri Aug 16 2002 aj@suse.de
- Do not pack 32-bit java libs on biarch archs for now.
* Thu Aug 15 2002 schwab@suse.de
- Update to gcc 3.2 release.
* Thu Aug 15 2002 aj@suse.de
- Add java support for x86-64.
- Fix profiling for x86-64.
* Wed Aug 14 2002 uli@suse.de
- don't apply newra patches on ARM
* Tue Aug 13 2002 schwab@suse.de
- Update to gcc 3.2 snapshot 20020812.
* Mon Aug 12 2002 aj@suse.de
- Fix patch for passing structs.
* Sun Aug 11 2002 aj@suse.de
- Fix ICE on x86-64.
- Fix passing of structs (PR 7559).
* Sun Aug 11 2002 kukuk@suse.de
- Use version macros after version is set.
* Fri Aug  9 2002 kukuk@suse.de
- Fix requires [Bug #17543]
* Thu Aug  8 2002 aj@suse.de
- Update to current CVS that contains some more ABI changes (strstream,
  and alignment of bit fields).
- Document -mcmodel for x86-64.
* Wed Aug  7 2002 aj@suse.de
- Fix ICE in new register allocator.
* Tue Aug  6 2002 schwab@suse.de
- Update to gcc 3.2 snapshot 20020805.
* Tue Aug  6 2002 aj@suse.de
- Fix builtin_femms, ICE on x86, miscompilation with fold-const.
* Mon Aug  5 2002 schwab@suse.de
- Update ppc64 patch, supersedes last change.
* Thu Aug  1 2002 aj@suse.de
- Add fix for f77 on 64 bit hosts.
* Thu Aug  1 2002 schwab@suse.de
- Update ppc64 patch.
- Stripping `..' already contained in it.
* Mon Jul 29 2002 schwab@suse.de
- Update to gcc 3.2 snapshot 20020729.
- Add patch to strip `..' from gcc paths.
* Fri Jul 26 2002 kukuk@suse.de
- Remove libz from neededforbuild
* Thu Jul 25 2002 schwab@suse.de
- Update ppc64 patch.
- Avoid triggering compiler bug on ia64.
- Add fixes for s390x.
* Wed Jul 24 2002 aj@suse.de
- Fix bzero on x86-64.
- Fix ppc bug 7380.
* Tue Jul 23 2002 schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020722.
* Mon Jul 22 2002 aj@suse.de
- Add new register allocator.
- Fix libcall scheduling to fix ppc failures.
- Add new ppc patch and enable java for ppc64.
- Fix GCC PRs 7130, 7120, 6713.
- Fix some x86 code generation problems.
- Add large ABI patch for future compatibility.  This means that
  this compiler is not backward compatible anymore!
* Tue Jul 16 2002 schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020715.
- Update ppc64 patch.
* Thu Jul 11 2002 aj@suse.de
- Update ppc64 patch.
- Disable checking.
- Fix PR7245.
- Fix prefetching.
* Tue Jul  9 2002 schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020708.
- Update ppc64 patch.
* Fri Jul  5 2002 kukuk@suse.de
- Use %%ix86 macro
* Tue Jul  2 2002 schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020701.
* Tue Jun 25 2002 schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020624.
* Thu Jun 20 2002 uli@suse.de
- disable Java on ARM
* Tue Jun 18 2002 schwab@suse.de
- Update to gcc 3.1.1. snapshot 20020617.
- Revert biarch-startfile fix.
- Reenable __cxa_atexit on s390.
* Tue Jun 18 2002 aj@suse.de
- Fix biarch-startfile patch.
* Fri Jun 14 2002 bk@suse.de
- enable java for s390x
- fix filelist of libgcj-devel for non-biarch lib64 archs w/ java
- remove s390-fixed_regs.patch, patch was broken and properly fixed
- s390: remove --enable-__cxa_atexit, might trigger the bugs we see.
* Tue Jun 11 2002 schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020610.
- Enable __cxa_atexit by default.
- Add S390 patches.
- Fix inline memcpy for x86.
* Mon Jun 10 2002 olh@suse.de
- disable ppc64_crt_path.diff, obsolete
* Mon Jun 10 2002 aj@suse.de
- Enable optionally running of testsuite.
* Fri Jun  7 2002 schwab@suse.de
- Fix strstreambuf::overflow.
* Fri Jun  7 2002 mls@suse.de
- Sort class files when creating libgcj.jar.
* Fri Jun  7 2002 aj@suse.de
- Fix biarch support on x86-64 to use lib64.
* Thu Jun  6 2002 aj@suse.de
- Fix build on x86-64.
* Thu Jun  6 2002 aj@suse.de
- Enable multilib for x86-64.
- Add new powerpc patch.
- Fix an endless loop in compiler.
- Fix off-by-one error in fold-const.
* Tue Jun  4 2002 bk@suse.de
- s390x: temporary disable java to get it build with current kernel
* Tue Jun  4 2002 schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020603.
* Mon Jun  3 2002 bk@suse.de
- s390/s390x: add configure to s390-ffi-gcj-java.patch, enable java
* Sun Jun  2 2002 aj@suse.de
- Fix profiling for x86-64.
* Fri May 31 2002 bk@suse.de
- add gcc-3.1-s390-may2002.tar.gz, first s390 drop for gcc-3.1
- add s390-ffi-gcj-java.patch s390/s390x
- disable java build for sparc64(already disabled for sparc)
* Fri May 31 2002 meissner@suse.de
- Replace 1U by 1UL in unsigned long handling in bits/stl_bvector.h
* Thu May 30 2002 schwab@suse.de
- Fix UNIQUE_SECTION for ia64.
* Tue May 28 2002 schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020527.
* Mon May 27 2002 olh@suse.de
- Update to gcc 3.1.1 snapshot 20020527.
  update gcc-20020527-ppc64.diff
* Thu May 23 2002 schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020521.
- Fix ostream::operator<<.
* Thu May 23 2002 olh@suse.de
- build with -mminimal-toc on ppc64, make check on ppc64
* Thu May 23 2002 aj@suse.de
- Add patch to fix SSE issues
- Use cleaner version of dwarf patch for x86-64.
* Tue May 21 2002 meissner@suse.de
- x86_64: Another conditional move patch (expandmovcc), fixing cryptlib.
* Tue May 21 2002 coolo@suse.de
- adding pseudo multilib support for s390x, so it's in line with
  x86_64
* Tue May 21 2002 schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020520.
* Mon May 20 2002 adrian@suse.de
- fix build on mips. (workaround compiler bug)
* Sun May 19 2002 aj@suse.de
- Add two fixes for problems with SSE registers.
- Build ppc64 as crosscompiler from ppc (from olh@suse.de).
* Sat May 18 2002 schwab@suse.de
- Fix filelist for ppc.
* Fri May 17 2002 meissner@suse.de
- x86_64: apply another cmov helper patch.
- x86_64: XMM reload register fix.
* Thu May 16 2002 schwab@suse.de
- Update to gcc 3.1 release.
* Tue May 14 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020513.
- x86-64: Fix mi thunks for PIC.
- x86-64: Fix subreg handing.
- x86-64: Fix multilib.
- x86-64: Reenable frame pointer elimination.
- x86-64: Fix eh-frame output with -g0.
* Mon May 13 2002 schwab@suse.de
- Update to gcc 3.1 prerelease.
- Add ppc64 patches.
* Mon May 13 2002 meissner@suse.de
- x86-64: Fixed another bug in passing C++ unions.
- x86-64: Fixed Dwarf register counter.
- x86-64: Fixed multiple inheritance thunks.
* Sat May 11 2002 aj@suse.de
- Fix bug in passing of C++ classes on x86-64.
- Do not use -fomit-frame-pointer by default on x86-64.
* Tue May  7 2002 schwab@suse.de
- Update to gcc 3.1 snaphost 20020506.
- Add fix for missing assembler label with -g.
* Thu May  2 2002 schwab@suse.de
- Update to gcc 3.1 snaphost 20020429.
- Add fix for ifcvt problem.
* Thu May  2 2002 meissner@suse.de
- Added patch that fixes gtk build on x86_64 (ICE in do_SUBST)
* Mon Apr 29 2002 meissner@suse.de
- Added fixes for x86_64 (all will be in 3.1 later):
  x86_64-movabs.patch	- fixes apache build
  x86_64-fmovcc.patch	- fixes various (xf86, ghostscript-libraries)
  x86_64-typo.patch	- fixes DWARF2 tables
* Fri Apr 26 2002 coolo@suse.de
- Add patch to build glibc correctly on s390/s390x
* Wed Apr 24 2002 kukuk@suse.de
- Add patch to build C++ code on sparc32 correct.
* Tue Apr 23 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020422.
* Mon Apr 22 2002 aj@suse.de
- Fix x86-64 machine description to compile bind9 correctly.
- Do not build java on sparc.
* Thu Apr 18 2002 aj@suse.de
- Apply Stephan Kulow's patches to build on s390x.
- Build on x86-64 without multilibs and java.
- Do not build java on MIPS.
* Tue Apr 16 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020415.
- Temporarily enable checking.
* Tue Apr  9 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020408.
- Don't build java on s390/s390x.
* Tue Apr  2 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020401.
* Tue Mar 26 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020325.
* Tue Mar 19 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020318.
* Tue Mar 12 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020311.
* Sun Mar 10 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020309.
* Thu Mar  7 2002 stepan@suse.de
- disable java for Alpha.
* Tue Mar  5 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020304.
* Tue Feb 26 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020225.
* Tue Feb 19 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020218.
* Wed Feb 13 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020211.
- Reorganize package names:
  * gpp -> gcc-c++
  * libgpp -> libstdc++-devel
  * gppshare -> libstdc++
  * g77 -> gcc-g77
  * gccinfo -> gcc-info
  * gobjc -> gcc-objc
  * gjava -> gcc-java
  * New subpackage libgcj, libgcj-devel
* Tue Feb  5 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020202.
* Tue Jan 29 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020128.
- Enable gnat for ppc and axp.
* Tue Jan 22 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020121.
* Tue Jan 15 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20020114.
- Simplify commands to fixup *.la files.
* Mon Jan  7 2002 aj@suse.de
- Update to current CVS version, fix .la files to not contain
  references to the build environment.
* Wed Jan  2 2002 schwab@suse.de
- Update to gcc 3.1 snapshot 20011231.
- Enable Ada for ia64.
- Reenable -freorder-blocks.
* Fri Dec 28 2001 schwab@suse.de
- Update to gcc 3.1 snapshot 20011224.
* Mon Dec 17 2001 aj@suse.de
- Update to gcc 3.1 20011217.
* Wed Dec 12 2001 schwab@suse.de
- Fix path to libiberty for shared ada library.
* Tue Dec 11 2001 schwab@suse.de
- Update to gcc 3.1 snapshot 20011210.
- Build shared ada libraries on i386.
* Wed Dec  5 2001 schwab@suse.de
- Update to gcc 3.1 snapshot 20011203.
* Wed Nov 28 2001 schwab@suse.de
- Update to gcc 3.1 snapshot 20011126.
* Wed Nov 21 2001 schwab@suse.de
- Update to gcc 3.1 snapshot 20011119.
* Wed Nov 14 2001 schwab@suse.de
- Update to gcc 3.1 snapshot 20011112.
- Build Ada on i386.
* Wed Nov  7 2001 schwab@suse.de
- Update to gcc 3.1 snapshot 20011105.
* Mon Oct  8 2001 schwab@suse.de
- Update to gcc 3.0.2 snapshot 20011007.
* Tue Oct  2 2001 schwab@suse.de
- Update to gcc 3.0.2 snapshot 20011001.
* Sun Sep 30 2001 schwab@suse.de
- Update to gcc 3.0.2 snapshot 20010924.
* Tue Sep  4 2001 schwab@suse.de
- Update to gcc 3.0.2 snapshot 20010903.
* Tue Aug 28 2001 schwab@suse.de
- Update to gcc 3.0.2 snapshot 20010827.
* Wed Aug 22 2001 schwab@suse.de
- Update to gcc 3.0.1 release.
* Tue Aug 14 2001 schwab@suse.de
- Update to gcc 3.0.1 snapshot 20010813.
* Mon Aug 13 2001 schwab@suse.de
- Fix missing ${DESTDIR}.
* Fri Aug 10 2001 schwab@suse.de
- Update to gcc 3.0.1 snapshot 20010806.
* Tue Jul 17 2001 schwab@suse.de
- Update to gcc 3.0.1 snapshot 20010716.
* Tue Jun 26 2001 schwab@suse.de
- Update to gcc 3.0.1 snapshot 20010625.
- Remove abuild HACK.
* Wed Jun 20 2001 ro@suse.de
- abuild HACK with libgcc_s.so.0 only on ia64
* Tue Jun 19 2001 schwab@suse.de
- Update to gcc 3.0 release.
* Wed Jun 13 2001 schwab@suse.de
- Don't enable -freorder-blocks with -O2.
* Tue Jun 12 2001 schwab@suse.de
- Update to gcc 3.0 snapshot 20010611.
* Wed Jun  6 2001 schwab@suse.de
- Update to gcc 3.0 snapshot 20010604.
* Tue May 29 2001 schwab@suse.de
- Update to gcc 3.0 snapshot 20010528.
* Thu Apr 26 2001 schwab@suse.de
- Update to gcc 3.0 snapshot 20010432.
- Make the reference to __ia64_app_header weak.
* Tue Apr  3 2001 schwab@suse.de
- Update to gcc 3.0 snapshot 20010326.
* Fri Mar 16 2001 schwab@suse.de
- Update to gcc 3.0 snapshot 20010312.
* Mon Mar 12 2001 schwab@suse.de
- Update to gcc 3.0 snapshot 20010305.
* Sun Feb 18 2001 schwab@suse.de
- Add patch.057.
* Thu Feb  8 2001 schwab@suse.de
- Add patch.056.
- Default to -mb-step instead of -ma-step.
* Wed Jan 24 2001 schwab@suse.de
- Add patch.05[345].
* Sat Jan 13 2001 schwab@suse.de
- Add patch.04[789].
* Sat Jan  6 2001 schwab@suse.de
- Back out Cygnus change of ignoring --with-local-prefix.
* Tue Dec 12 2000 schwab@suse.de
- Add patch.045 and patch.046.
* Mon Dec 11 2000 schwab@suse.de
- Fix <new> for -fhonor-std.
* Fri Dec  8 2000 schwab@suse.de
- Add unroll loop patch.
- Add libf2c libraries from CVS and build fortran compiler.
* Tue Nov 28 2000 schwab@suse.de
- Fix alias bug.
- Fix framesize bug.
* Sun Nov 19 2000 schwab@suse.de
- Update to snap-001117.
* Tue Nov  7 2000 schwab@suse.de
- Add patch.028 and patch.029.
* Thu Oct 26 2000 schwab@suse.de
- Update to snap-001024.
* Mon Oct 23 2000 schwab@suse.de
- Add patch.02[45].
- Compile libg++ with -fno-operator-names and remove workarounds.
* Sat Oct 14 2000 schwab@suse.de
- Add patch.023.
* Sun Oct  1 2000 schwab@suse.de
- Add loop patch.
* Fri Sep 29 2000 schwab@suse.de
- Fix file list again.
* Wed Sep 27 2000 schwab@suse.de
- Fix file list.
- Fix libg++ to compile.
* Wed Sep 27 2000 schwab@suse.de
- Update to 0925 snapshot.
- Temporarily remove libg++.
* Tue Aug 15 2000 schwab@suse.de
- Update to august 14 snapshot.
* Wed Jun  7 2000 schwab@suse.de
- Enable threads in libstdc++.
* Tue Jun  6 2000 schwab@suse.de
- Fix handling of \<newline> in preprocessor.
* Thu May 18 2000 schwab@suse.de
- Add init/fini section fix from rth.
* Wed May 10 2000 schwab@suse.de
- Update to may 1 release.
* Thu Apr 13 2000 schwab@suse.de
- Change name of dynamic linker to ld-linux-ia64.so.1
- More fixes from ia64-tools.
* Wed Apr  5 2000 schwab@suse.de
- Fix crash in GCSE.
* Tue Apr  4 2000 schwab@suse.de
- Frame unwind fixes from ia64-tools.
* Fri Mar 31 2000 schwab@suse.de
- More fixes from ia64-tools.
* Tue Mar 28 2000 schwab@suse.de
- Update to march 23 release.
* Mon Mar 20 2000 schwab@suse.de
- Add some fixes from ia64-tools.
* Fri Mar 17 2000 schwab@suse.de
- Update to march 3 release.
* Thu Mar  2 2000 schwab@suse.de
- Package created.
